GNU bug report logs - #55903
[PATCHSET] Adding aerc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "(" <paren@HIDDEN>; Keywords: patch; dated Sat, 11 Jun 2022 09:07:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:46:35 2022
Received: from localhost ([127.0.0.1]:54905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0L74-0005Xk-O5
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:46:35 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0L73-0005WM-B5
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:46:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B379143CF6;
 Sun, 12 Jun 2022 12:46:32 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id mzhPh3Szqb6G; Sun, 12 Jun 2022 12:46:31 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030791; bh=9wPMiK6i3prW/xwQ2oX2OXJrvPRRNjn3Rlmi+9Px+Qw=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=YdAaaQCgGy/XTL2IJp7Md+nSKD6iM3e47PQOCdozcz84kcdh3uGYMdHd8AHhWUi+F
 kyBf1G7xSzj4DjVLh5PvUXhUU1XId9tJTwTyJ02su1jhQ4uuyhEAAXAQJnh+MYey3N
 OArGsSEBq0zpzJtmVQsKMtO9iSnJjzn4HdDWFrmTvXga2MYG4R6H/QIXwmQzIGINn9
 8LX9SNZjh+rm6sHBHgi5kNC4/jdAEt7pM2hMeHgmSdy0zSgiRx2OMgWWyQfFCd5tLu
 9MfC7l4/C5DP0lh7GPOY7VNu3JN/F3nZWAVr3HWazav3zoVFiy2ZEwL8tfYgqotJbE
 omN/T0L4HUAcg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:46:31 +0100
Message-Id: <CKO3G991F1VH.LTTWS589JAVT@guix-aspire>
Subject: Re: [bug#55903] [PATCH 25/41] gnu: Add
 go-github-com-protonmail-go-crypto-openpgp.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-25-paren@HIDDEN>
 <8bda65b813803639b127a174bbd0a74b3d383858.camel@HIDDEN>
In-Reply-To: <8bda65b813803639b127a174bbd0a74b3d383858.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:27 PM BST, Maxime Devos wrote:
> If it's backward compatible, maybe packaging the fork isn't necessary.

The _API_ is backwards compatible, but packaging it is necessary because
the OpenPGP implementation is different (although you use it the same way).

> Also, packaging all the forks in the world of everything is unscalable,
> so I think we need to at least require that forks look into upstreaming
> their changes.  Likewise for other packages in this patch series that
> are forks (if any).

Go packaging is a bit crazy, seems like this kind of fork overuse is common=
.
Sadly, it's usually necessary to package the forks. (There'll be a reason
they're using the forks in the first place...)




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:42:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:42:31 2022
Received: from localhost ([127.0.0.1]:54895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0L39-00040n-0J
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:42:31 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0L37-00040g-On
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:42:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 1518A43CEE;
 Sun, 12 Jun 2022 12:42:29 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id X8LznfotQR03; Sun, 12 Jun 2022 12:42:28 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030548; bh=kGttDNo4aTxzqLxPigThw0KZIQ562PRdGnS4Av80rOc=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=kDSHY4ijBckYCJfWqjNy3A3M/2rueSwm6hJcL6iaZkryE95YHcdZip4A96oOY02q2
 zDHyQMHIQR/HV6MygxH6EdpB22uvwYd3bfLGPeZ5PGKraWmxDoWM936XN3ZlaOvBeM
 kJimOnXw5O7G4lWRGKgWTbD+MFN13C/1u+uvN6wON5t0JKsjTL1h6WjCKEsdcjX+aw
 vmnB/f46U/yveCjLhHBQsI7vbJvAl4L8mdutXRsFvuf3/M0UURpVeBYUn0S/yO9Wz0
 a7x41ndsuf/pvJDdHgafLeZWwD9MhTePxThEbns2URX+AkCPx6zgqjHM0T2j09z69a
 jdq8yCyPRD2Zg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:42:27 +0100
Message-Id: <CKO3D5DS75H6.8WK0YT0YVAMM@guix-aspire>
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
Subject: Re: [bug#55903] [PATCH 24/41] gnu: Add
 go-github-com-emersion-go-imap-sortthread.
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-24-paren@HIDDEN>
 <647db6e9820758044894e8c12d89f4a851c934db.camel@HIDDEN>
In-Reply-To: <647db6e9820758044894e8c12d89f4a851c934db.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun Jun 12, 2022 at 12:01 AM BST, Maxime Devos wrote:
> This doesn't really explain anything, except that's it related to
> sorting and imap.  Needs to be longer and explain what is meant by SORT
> and THREAD.  Also, it's not named go-imap, but go-github-...-go-imap=20
> here.

Noted...




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:41:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:41:49 2022
Received: from localhost ([127.0.0.1]:54890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0L2T-0003zT-Ot
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:41:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0L2R-0003zK-Un
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:41:48 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 56D5E43CB6;
 Sun, 12 Jun 2022 12:41:47 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id daSn1WGTxqbb; Sun, 12 Jun 2022 12:41:46 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030506; bh=5/0/l/pTdRE22Mu5lnZMj6U8NHFAJ2gwO1jBBSJu++k=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=AKXQ6gZp3eRlyw1X/OkM8RoYnMIqambMnm2Ist0V787My72BCnyqRh5MFSl/PCKza
 jvO+praNRPkiRjOzYNeGnH2Vgpit/ThaCYNG9almrtj31ehgMSiCpubsImihq8FCp6
 BxCO1joXNf3lCTcBGOhVwGbnnMdyeEFPTv7Vl5fRTgVfh8EnyBBsO31QUV+sJ/RdNe
 hNywqi06jT99p4yW2thZqfzz72yJ+61+PCxmEIO5yaZBSfA+8NXJriCz8joGQX6ig6
 3ucYYAFBO8jOKnVxrwEOA2XHo9x+I07PvJYdj2DCiLPC+gVIqwIM/WpxH/dKmMN6Nn
 XoZuqJlwlVZLQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:41:45 +0100
Message-Id: <CKO3CM1H1UY5.1V29I1ZMOO19V@guix-aspire>
Subject: Re: [bug#55903] [PATCH 21/41] gnu: Add
 go-github-com-emersion-go-message.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-21-paren@HIDDEN>
 <e6e6c7a9f65965fe8c4d04ab4522927f22047b1e.camel@HIDDEN>
In-Reply-To: <e6e6c7a9f65965fe8c4d04ab4522927f22047b1e.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:59 PM BST, Maxime Devos wrote:
> This is rather vague -- what kind of messages?

The Internet Message Format and MIME:
<https://github.com/emersion/go-message/blob/master/README.md>

> Also grammer, a =E2=80=98the=E2=80=99 is missing before =E2=80=98Package=
=E2=80=99 and 'message'.
> Maybe better: =E2=80=98This package implements ...=E2=80=99.

This is standard wording for Go package descriptions: "Package xxx
implements yyy". No, it doesn't make sense :)




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:39:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:39:08 2022
Received: from localhost ([127.0.0.1]:54886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Kzs-0003vH-Cd
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:39:08 -0400
Received: from knopi.disroot.org ([178.21.23.139]:33756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Kzq-0003v8-5a
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:39:06 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 754C043CBB;
 Sun, 12 Jun 2022 12:39:05 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id W0BMlGoW-oY9; Sun, 12 Jun 2022 12:39:04 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030344; bh=zCJ8yUZTO6wL6IsWO8+RbVh6urmKZzDQIqVLC6fxvOk=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=iJQBBPUJYpyXGKwvG1o/yy8AsP4SeCMXgwONjBRpy+OyT7j+9aHTj6+d060Gowj4x
 4tiPzmYIPEY6fVJU/yXYAk0jBbTS2k8113diNEXpOSCwCBVnJEf2IpTjs9xzXiqvNv
 W7fgDQTqz0V2tNGyEErJhQWY5PR0EOlq72clIkRVVbMP+UBwxkxV9JbVzUZxuQPTyP
 9FqaHQzaO1/j3p27i6my76vkMde8WZ2IXTBRTiUNmVrz3llwdN+KeP6Zxf97zZW4Vp
 aPGDX6rie/QfYekprOF/ckBgO7w9azDfOGDEQE6/IT5YYxuBl3MaMzUksp3F8fNX7C
 OuZzoh1M0TaZQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:39:03 +0100
Message-Id: <CKO3AJTLNGK1.8FU7FBQDYUY7@guix-aspire>
Subject: Re: [bug#55903] [PATCH 19/41] gnu: Add
 go-github-com-gatherstars-com-jwz.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-19-paren@HIDDEN>
 <f8cf245f3b0ea763e4a720b2365d9f72380bf1de.camel@HIDDEN>
In-Reply-To: <f8cf245f3b0ea763e4a720b2365d9f72380bf1de.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:57 PM BST, Maxime Devos wrote:
> Packages are packaged in Guix for the convenience of the user, not for
> making the author of the software popular.  Instead, maybe you could
> write a _short_ description on what threading is, what things are taken
> in account (In-Reply-To, References, ..), and maybe whether it scales
> lineary or exponentially or whatever?

Okay, I'll look into it. (The official description doesn't have anything
like that; it just mentions that it's an email threading library using
jwz's algorithm.)




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:37:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:37:15 2022
Received: from localhost ([127.0.0.1]:54882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Ky3-0003sP-2R
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:37:15 -0400
Received: from knopi.disroot.org ([178.21.23.139]:41392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Ky1-0003sG-2o
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:37:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6546243CEE;
 Sun, 12 Jun 2022 12:37:12 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id z84wAkzgJE96; Sun, 12 Jun 2022 12:37:11 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030231; bh=+DCDLcmIXnRY6cwIocwHucskc8uaJrM6rVsd2fPatyc=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=D2bIeE5Hqkgf0JjRpXbsaiVs0d+tBFCyxQUtAWjJNiXLBbI/BSrkC10aRsbMTRjMR
 vJWbVfCfHvkEFF6KdJtFnAo+ZYyYQ80ccXQB0awjBf1H9sahbJ6d5MAxdIUAr+lxRY
 fizta2Sgk4VGeOlzRLEFDSEVvpADedatPdmUwnid1r6DjL3lCPe+/fxplNpKfjg/BP
 zMjnpGb/k/0O8yA7+8/nvy6JewbR+JTyKC1nB0u3CCSRUY2AL6yl4erPwZdmiXyYat
 OrM3ChoYHYnzxABW0XkK+vCqDOSQoUmnG3DCqTrQoqfC1SQUYVO+OwtwJ0lAjq2klV
 nTAQPbXmVqGSA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:37:10 +0100
Message-Id: <CKO393VKBZZY.375WX5WD6FYTN@guix-aspire>
Subject: Re: [bug#55903] [PATCH 18/41] gnu: Add go-github-com-jhillyerd-enmime.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-18-paren@HIDDEN>
 <44cbee98828cdb05555fab8f3e0e3b7b00785dcb.camel@HIDDEN>
In-Reply-To: <44cbee98828cdb05555fab8f3e0e3b7b00785dcb.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:53 PM BST, Maxime Devos wrote:
> Implementation detail.  AFAICT this is not relevant to users of go-
> github-com-jhillyerd-enmime.  Instead, maybe you could write about
> which MIME things it supports (e.g., does it support reassembly?
> mime/alternative? streaming?)?

Noted!




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:36:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:36:54 2022
Received: from localhost ([127.0.0.1]:54878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Kxh-0003rI-RR
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:36:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:37104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Kxg-0003rA-El
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:36:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C297043CBD;
 Sun, 12 Jun 2022 12:36:51 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id z9WxwWhy9Psn; Sun, 12 Jun 2022 12:36:50 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030210; bh=1jJvy1ex/6kqTl1v7JVnKs8P2lCKwmGRa4Y7xcXm5UE=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=C8c9xJruVQLgAp8lVa+ikqTFhkqVJsTDuAFTLA2lJx7Ucl0nnvcUtukuz7I5AZgnw
 VqnN0I68eEZl7Iln9PqjkQbv8Q8/3rTQWNF7qv5AfVBqeritFl5K4Azre4oG3yanXd
 7JUBL9xTGeCOmDzwUsWNvJdC3fWOlS0/Wvg1XNMDpD3Ky61U62oCZanlWy1hi5/TOT
 cGFYeqIRvZszqz51h0iqyEh7nDEjDmW7LUQeSjDJcuLsv/h+aXEoG8HysfgOn9Ncbu
 OPlSYuaL1CET/UrzQi0/yd4Q+w3p/QTqw+FJtSSbNJ0yulymlIwEocVKx+uTXcxyjR
 w+XZ/kJdbw5tQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:36:49 +0100
Message-Id: <CKO38U8HFH1E.20O3Y33FZ5YRL@guix-aspire>
Subject: Re: [bug#55903] [PATCH 15/41] gnu: Add
 go-github-com-jaytaylor-html2text.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-15-paren@HIDDEN>
 <dbd482eb456066c99945d1e00d2799153ae886ff.camel@HIDDEN>
In-Reply-To: <dbd482eb456066c99945d1e00d2799153ae886ff.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:49 PM BST, Maxime Devos wrote:
> Please add a link to the upstream bug report, such that future updaters
> of the package can easily check whether the issue has been resolved and
> hence whether tests can be re-enabled, and such that reviewers can
> evaluate whether the bug is likely to be a problem for users.
> Likewise for all other new package disabling tests, if any.

Here's the bug report: <https://github.com/jaytaylor/html2text/issues/53>. =
I'll
add that link to the comment.




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:35:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:35:22 2022
Received: from localhost ([127.0.0.1]:54864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0KwE-0003oE-3J
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:35:22 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0KwC-0003o6-VX
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:35:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 602F743B37;
 Sun, 12 Jun 2022 12:35:20 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id RAr_ynFLw5DR; Sun, 12 Jun 2022 12:35:19 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030119; bh=yi33XummxtIbN+V8OiTTwj60EW74PVWwlF1RERaqgjk=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=ZA+QI1PcILTeaRyELaGR0I340SJt9v+7+8hbWho1HcirMV+DtQE6oo+iMtUY8Y3gp
 o3SBe4DdPJJ4l/5EipDTe5vx7qR7HxttzkKzpGJbFpc2crmRjSAIsUIRyDAaXfJJN0
 KakIrNXkIhfHBhUrfqaGgvkpW3lBDDguqAvSeQ91vAfFtcVXnLPEuSobgd60gQLpAC
 h0Gx/WeCzh8LlktFaAYWHVATTRFgwk+we0iQdbiE9Ocl7IHCLODFCRurHLwN4hm9L4
 SxdzzIN2JyYnDGsssZm6oH9YdZbv7KW4N9r1sIRIggCl4wqRhCxqK6dTQNbZXQDmCe
 hMXydc5bIRgsg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:35:18 +0100
Message-Id: <CKO37ODCW6RK.1F74SWU0GNXZQ@guix-aspire>
Subject: Re: [bug#55903] [PATCH 15/41] gnu: Add
 go-github-com-jaytaylor-html2text.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-15-paren@HIDDEN>
 <647636b1f84935e787ba0df04a3f5ba0773aa8f4.camel@HIDDEN>
In-Reply-To: <647636b1f84935e787ba0df04a3f5ba0773aa8f4.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:48 PM BST, Maxime Devos wrote:
> Rather markety.  Also: ensure->It ensures that.

Fair enough; this was the description I got when I `guix import`ed it.




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:34:39 2022
Received: from localhost ([127.0.0.1]:54859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0KvW-0003md-S8
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:34:39 -0400
Received: from knopi.disroot.org ([178.21.23.139]:41546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0KvU-0003mT-LS
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:34:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id F030B43CD7;
 Sun, 12 Jun 2022 12:34:35 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id eUgvU7mCuWqf; Sun, 12 Jun 2022 12:34:34 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655030074; bh=7ssAWE/e6VNEcDXFkoyb/siKElfvUcYgtdHiOEzhXew=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=dNGYVoWyc+ygmKdPX1Vfd83xPuLc0xmnwOZz64KnviA16nN5tlvKF1lH0XOB05NRQ
 lLyhEQ4FdnTxSwiECWcYPc0d3CRqXWdFUpSyAI28sJKf9fCTqcOc1ZSdxwwJdSOi+s
 Moep10m0yxPkM+8uMVX9x7A9NkvGj7IJIXkHNwrEQG9uveGZdjMFJoYeeG3nsljDyI
 uR5E3I4Ivn/4iD/CGjPlbqOq6DDSYjjfNvotrQD5/BKkRSgis6hlr2bNxW0zD4rGhj
 JFopZV8SxwKYjphocGri3Yz5obdX4+0nItVjvQNC4/DiVEdd3skyMA1ype6VKKHO8S
 Nl86U9eEaalMg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:34:33 +0100
Message-Id: <CKO373LKDZFG.12YOQDFVK0F0O@guix-aspire>
Subject: Re: [bug#55903] [PATCH 09/41] gnu: Add go-github-com-go-ini-ini.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-9-paren@HIDDEN>
 <484464c9383fed07197a8ca32738364ba8652cad.camel@HIDDEN>
In-Reply-To: <484464c9383fed07197a8ca32738364ba8652cad.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:45 PM BST, Maxime Devos wrote:
> From a distance, these look like the same thing as go-gopkg-in-ini-v1
> or go-gopkg-in-ini?  Why the new definition.

Yes, they are the same (with different versions). aerc's source code uses
the github.com import path, though. I'll replace that package with one
inherited from go-gopkg-in-ini and modified to use the github import path.




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:28:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:28:17 2022
Received: from localhost ([127.0.0.1]:54848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0KpN-0001Rk-Nf
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:28:17 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0KpL-0001Rb-Tf
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:28:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 321B443CEF;
 Sun, 12 Jun 2022 12:28:15 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id IPodHvUYc4iJ; Sun, 12 Jun 2022 12:28:14 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655029694; bh=kucwZY+e/jkL+gmpT3BNUDVG1yBeETZ1rkY6JGkfvIQ=;
 h=Date:To:Subject:From:References:In-Reply-To;
 b=MrsXCu2cLqS7hbeATyWi2QRylfG8aTQnbYiCIZXZ2psUeQUm1m5rcg9dtucKERp81
 PKk5QafrzFnEY/QaM3CDw/Mir78Q67EMCYetWEgjZYi7zqa1fbHSM4yoofS3/nH2bF
 ahwCQhbLJ4TXb8QufKJ3HBpV586PZmuk5BDEJSeUkGwfn8o1pl70otlJhdwvbM17nC
 eg/RV5QVvzVQ3UMVMRnsC664IU3hKTSx97thqm4M/lMCqIGxM3sUlThWS0PiwaJVI9
 hg0fsVbrsAI3DGwYtExNa9hsPzjmUvpkpB8+Y6UxtgbGO6NjpHPuuVJKRHNn5aLUdi
 2TOXMUJEO5Gmw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:28:13 +0100
Message-Id: <CKO3293GUDH5.ZRTY8MR66NP@guix-aspire>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
Subject: Re: [bug#55903] [PATCH 05/41] gnu: Add go-github-com-xo-terminfo.
From: "(" <paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-5-paren@HIDDEN>
 <7a9ba089c222a94c0a1a5a06164aec7fdf1f9fec.camel@HIDDEN>
In-Reply-To: <7a9ba089c222a94c0a1a5a06164aec7fdf1f9fec.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:41 PM BST, Maxime Devos wrote:
> Guix is not a language-specific package manager, it supports working
> with multiple languages at the same time, so mentioning =E2=80=98it doesn=
't use
> dependencies in other languages=E2=80=99 is usually irrelevant in Guix.

Okay, I'll change that (and fix the typo ;)




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:27:39 2022
Received: from localhost ([127.0.0.1]:54835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Kol-0001PW-2O
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:27:39 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Koi-0001PO-GL
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:27:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id CD7C043CEF;
 Sun, 12 Jun 2022 12:27:35 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id y7ZiY4OWt5rV; Sun, 12 Jun 2022 12:27:34 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655029654; bh=gRAn4NpkYqxPXtJ9DbvcY1OdU1tBF40LX4KE1xB5r/s=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=BZED+zUujyZ3xTn5+436Lv2zFGV4N99pDhQCW6dMxEFBYBJj7Iz9pv6S+KxcY6f10
 Ju5PXw6RB1jpPRojfKqDSy/YlHcv73CnI2eUK+dupUl50gqLuNnY1vSLn6p8eBmJv0
 /7cbsGQ2PRoDtoB/ja00Z7gGAaT2xoxbLC0B/mF66mwdfQZZutt7D591MJ18Mx+IvM
 qLU29ZOGSRAGZ79q5W8rNXFdS326I3JVyucyjRvMGgxSADbnWL6tG+Fjdq2zlaBqjd
 um5Vep0xaobFPmw4b98ubN/KHN2xEmzsCMlvQuqeyr6BguZH6g+z3StRXZYlizuzS7
 a3f3F4TzDG2iw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:27:34 +0100
Message-Id: <CKO31QZ7U42R.UD4RPNLI2APU@guix-aspire>
Subject: Re: [bug#55903] [PATCH 04/41] gnu: Add go-google-golang-org-appengine.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-4-paren@HIDDEN>
 <74d0455b26eeba947c3a92ade064617882f888f0.camel@HIDDEN>
In-Reply-To: <74d0455b26eeba947c3a92ade064617882f888f0.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:28 PM BST, Maxime Devos wrote:
> Guix does not run on Google App Engine AFAIK, so no need to include
> this package.

The official descriptions of this package are extraordinarily vague, so thi=
s
was my best attempt at estimating what it's for. Seems like it's never impo=
rted
in the source code of aerc... I wonder why it's in go.mod. I'll ask #aerc
about this one.




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:23:47 2022
Received: from localhost ([127.0.0.1]:54827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Kl1-0001AT-22
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:23:47 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Kky-0001AK-VD
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:23:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5203243CF2;
 Sun, 12 Jun 2022 12:23:44 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dUOLQxwki-XD; Sun, 12 Jun 2022 12:23:43 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655029423; bh=+Imoa5qe4vtRnnoB+74qy9EYPVfbcktrLwVjYIBOUZA=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=AVXNtm7blPWJj0GC5zMQBM2qFFrFd/XV3L1KV+e37/ebp/oSqN84CjFxBIWOkU5s0
 RKP4bEuJhxnpmyAL9jyhDr/ttNcL6bmsODv4x3aK0ZuaUzJd+PfPS01dduakgrO3Si
 v+XcyBu1aJuEjZhjIplnA7t98LU6203kz15grC4RKltMSvZ9CRJ03l7KVOUVOymwo7
 h/09DGPw2VIpxikT318gEyM2G2HkBMA0urdN/o+/ReCcLjQjVMK+LQQaahuS5Eb+kI
 1kQvr4qulaIgz3IZmDiyowtbpwT2Av9i5pt145L9FMx3ea2PS367w+NKC1lLccvoPq
 d20aHnOL8xHAA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:23:42 +0100
Message-Id: <CKO2YSJR99WG.26S5XKQAXCXD1@guix-aspire>
Subject: Re: [bug#55903] [PATCH 03/41] gnu: Add
 go-google-golang-org-protobuf-proto.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-3-paren@HIDDEN>
 <8697f19cec2416aa29a11babfd43e04e04e75997.camel@HIDDEN>
In-Reply-To: <8697f19cec2416aa29a11babfd43e04e04e75997.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:19 PM BST, Maxime Devos wrote:
> go-github-com-gogo-protobuf description mentions: =E2=80=98goprotobuf
> compatibility=E2=80=99 (not sure if that refers to API or serialisation f=
ormat
> though).
> Or: go-github-com-golang-protobuf-proto (looks the same for a distance
> except for domain name).

They're not the same. From https://github.com/golang/protobuf:

> This module (github.com/golang/protobuf) contains Go bindings for protoco=
l
> buffers. It has been superseded by the google.golang.org/protobuf module,
> which contains an updated and simplified API, support for protobuf reflec=
tion,
> and many other improvements. We recommend that new code use the
> google.golang.org/protobuf module.

and from https://github.com/gogo/protobuf:

> gogoprotobuf is a fork of golang/protobuf with extra code generation feat=
ures.

which implies that it has golang/protobuf's API, which as mentioned above i=
s not
the same as the google-golang-org one.




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 12 Jun 2022 10:19:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 06:19:24 2022
Received: from localhost ([127.0.0.1]:54816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Kgl-00012w-Tt
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:19:24 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o0Kgk-00012o-Gt
 for 55903 <at> debbugs.gnu.org; Sun, 12 Jun 2022 06:19:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4297443CF4;
 Sun, 12 Jun 2022 12:19:21 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 9k6nwztPbCpz; Sun, 12 Jun 2022 12:19:20 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655029160; bh=PAslkxN4Vhzo9MLfVJOGe6L8FSsVgQ36fFb60xVwJ2M=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=Z4zHD9J8H7NAkM2G07clnan0TaiT95tKHVcabwGcP7fTi1FqngmGBGGhr3Kt53vKG
 r6wdrD/A5njU3gx9e9Ox+ulK8ZTbMU9mqDHP7pTJwkQkL2Z/XS7xnFsdgUysD0c4O3
 INxvwrjNi6q5oP8M63fiMVgFPGBJ+iH0xeoMF9IktiNRCMXvjzHVsD8k4Bh3+iWqHt
 Q8cmB/A9Nhr3a4EPo/xLF5oxsIB1tgcrRGD++GW9vMqsq0mcVW84KpSA8Yba8aVXRv
 4tDZtUdMPZY5H2VIvYBuQVf0YR5I7VIxx1PLhd6VAlhiQXms3KgZLCt8e0NyECynAb
 dN7wMfD3X/Azg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 12 Jun 2022 11:19:19 +0100
Message-Id: <CKO2VFPU18X1.3S9YVQW7H297W@guix-aspire>
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, <55903 <at> debbugs.gnu.org>
Subject: Re: [bug#55903] [PATCH 02/41] gnu: Add go-github-com-creack-pty.
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-2-paren@HIDDEN>
 <a10ffaafad076b9c01373f983feacca86b227800.camel@HIDDEN>
In-Reply-To: <a10ffaafad076b9c01373f983feacca86b227800.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat Jun 11, 2022 at 11:30 PM BST, Maxime Devos wrote:
> This contains generated files:
>
> https://github.com/creack/pty/blob/master/ztypes_freebsd_arm.go
>
> Please delete, regenerate and check the other new packages as well.

Good catch, thanks!




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 23:02:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 19:02:54 2022
Received: from localhost ([127.0.0.1]:54273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0A86-0006YF-4H
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 19:02:54 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:46024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o0A84-0006WU-7W
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 19:02:52 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hz2r2700A2PJVAL01z2r0S; Sun, 12 Jun 2022 01:02:51 +0200
Message-ID: <abd2a41b99cd912dd689e8b8ed0959be3928ca9b.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 41/41] gnu: Add aerc.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 01:02:51 +0200
In-Reply-To: <20220611191653.15471-41-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-41-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-jlyrQbn4BJ8T8ByH5llj"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654988571; bh=tA/UNrcyf6AdkJFsh3MSmxG7FrZqNsa0HF9DmzgMjSM=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=MG3ji6N2HUZj9ALGslpmvxMBD8TBLtQJe3ubfIHhAp99rkEoW28F+4t3ECtkm1v+x
 1bsZ7GTerWhBYm6cqP6W5YEOvsyaUqGY1u+A7rW4gYwdVVDuqngV2kwZhIZg/EViO4
 0YmIv6zVEv/LYXtY4vTVBudMieXxmKDJxUSYMsVwLgu4MjNE17cPMFBYwjQRf54W/Q
 s/1PhubitTlNPsV5jZBDxiyQm0S5X48jYetz8G9fpkKBwwc42N2NGWS7zx25bPjEaQ
 zcUwCg8JSdRK7MDQU9fevfdHRMO+LoFr57CJpESDkBY/slvnWoA3KAusJaszrUZkzD
 CHnRz/uJ07A9g==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-jlyrQbn4BJ8T8ByH5llj
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0 (synopsis "Terminal email client")
> +=C2=A0=C2=A0=C2=A0 (description "@code{aerc} is an email client for your=
 terminal.")

These are both a synopsis.  This is rather terse for a description.

Greetings,
Maxime.

--=-jlyrQbn4BJ8T8ByH5llj
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUfGxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kYCAP0U2+NY3syBUhRsijN2kKT6rm/r
weWH8KyRL+LAj/mLlQD/VYXkKXrRR2PAxbdD8U+k3JjQy+FjKq9b60QkK+rP9g4=
=/FRb
-----END PGP SIGNATURE-----

--=-jlyrQbn4BJ8T8ByH5llj--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 23:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 19:01:54 2022
Received: from localhost ([127.0.0.1]:54268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0A77-0006Wc-SA
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 19:01:54 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:46024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o0A76-0006WU-DV
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 19:01:52 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hz1p2700S2PJVAL01z1qsX; Sun, 12 Jun 2022 01:01:51 +0200
Message-ID: <647db6e9820758044894e8c12d89f4a851c934db.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 24/41] gnu: Add
 go-github-com-emersion-go-imap-sortthread.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 01:01:49 +0200
In-Reply-To: <20220611191653.15471-24-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-24-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-jTlq34EK/lG2YxaUYuf7"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654988511; bh=yg9aD9P+cCoov8WKDTpdKotYuZ/Tovoc7xCEZGqgwI8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=T7xDOPzyJdOmgzUuTrFMtVzv8hEuNNGFAY3z2pDaGSpAPTQhqEMseDfsp3r7N8mes
 FBr1ZNCzQF6gI3x9/Kn6zna36vRKRABGRcXbQNTdZNwNFzzX+X/9uWcESPTlIQ6uoE
 V7Hba1gGxUgoDQFPelr3k0Mgk8axwoKie+PUo7Rk2P6H8eti1hW9pDLFJSwcT/nnmu
 00tXRmtMqQFeJh9C6Q48FJUL3LtdXRafHVNV64FhU0J/kA0FF7vWhm7xRozodc0sbm
 UeDT1sFvdcpRbj4LmQ5dw9onSFGYqzNmL+MPb8/Tdrwn+36De8MhpKYnEoP41uGK94
 C+kewz3ZhuJ3w==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-jTlq34EK/lG2YxaUYuf7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0 (synopsis "SORT and THREAD for go-imap")
> +=C2=A0=C2=A0=C2=A0 (description "Package sortthread implements SORT and =
THREAD for go-imap.")

This doesn't really explain anything, except that's it related to
sorting and imap.  Needs to be longer and explain what is meant by SORT
and THREAD.  Also, it's not named go-imap, but go-github-...-go-imap=20
here.

Greetings,
Maxime.

--=-jTlq34EK/lG2YxaUYuf7
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUe3RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7vArAQCDqsO0vYeCSdC1U49cINh8GmLc
oDX+BzbfdbaX/iPJ1wEA1/TXF4yjTFMUi3NmUC5Weqv/l5+chzjb6zVrwsevAgw=
=QiWO
-----END PGP SIGNATURE-----

--=-jTlq34EK/lG2YxaUYuf7--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:59:15 2022
Received: from localhost ([127.0.0.1]:54263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0A4Z-0006R9-G4
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:59:15 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:56412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o0A4X-0006Qz-LK
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:59:13 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hyzC270012PJVAL01yzCyE; Sun, 12 Jun 2022 00:59:12 +0200
Message-ID: <e6e6c7a9f65965fe8c4d04ab4522927f22047b1e.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 21/41] gnu: Add
 go-github-com-emersion-go-message.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:59:11 +0200
In-Reply-To: <20220611191653.15471-21-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-21-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-4ToFeAPmgLSgHWXeseJu"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654988352; bh=TTwejJXYw03XV2PmDL1khVgH+1UOLoROXYi8yU/j7yw=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=d+Lvmf+69nyrfw9WXGjv+zWDqYwLCZi+xPP8lRPzH9Kjt1Qh7nY3NKi5q+ouNloJc
 LGAJMdR9wXReOoNRDfh6ISxt6uWQ871O1CB2cMt2S2W43kLlErbbdouW+FRL7J1zTl
 IoHSNElMsyh3nkK7BjpJ0Qb2iANnUFGCvxRTnXxzb6ZDD15ilB5aEvSVgbcHUBy6tk
 wwBJLAwZ5kl8PuLS+cQVPknkR8GOJVCxHJNeftfWp6/v9PXA8W3PWo8Zi0XSBPBSof
 odptnvStcpwCVRWVbOxocL8Hp+aQ7zH5IEihAWh4dri7wLIsMIp/ECyWPoknVmrDvX
 AvFACCaMQnR4Q==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-4ToFeAPmgLSgHWXeseJu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0 "Package message implements reading and writing=
 multipurpose messages.")

This is rather vague -- what kind of messages?  Also grammer, a =E2=80=98th=
e=E2=80=99
is missing before =E2=80=98Package=E2=80=99 and 'message'.  Maybe better: =
=E2=80=98This package
implements ...=E2=80=99.

Greetings,
Maxime

--=-4ToFeAPmgLSgHWXeseJu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUePxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7tFlAQDdHKZLpTczcSF8Luww9LtprWDM
iZpQE7Wxx5yIA8vfjQEAxRxXIM131Tc1SejbnQlPfglNSwsAjUbI3Ck52mro7w8=
=9Y9v
-----END PGP SIGNATURE-----

--=-4ToFeAPmgLSgHWXeseJu--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:57:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:57:14 2022
Received: from localhost ([127.0.0.1]:54258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0A2c-0006O0-4U
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:57:14 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:54442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o0A2b-0006Nt-3f
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:57:13 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hyxB2700J2PJVAL01yxBm7; Sun, 12 Jun 2022 00:57:12 +0200
Message-ID: <f8cf245f3b0ea763e4a720b2365d9f72380bf1de.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 19/41] gnu: Add
 go-github-com-gatherstars-com-jwz.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:57:11 +0200
In-Reply-To: <20220611191653.15471-19-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-19-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-GUfzoPsjipFVjnPN2u4J"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654988232; bh=nSy+vbt5zUMATJcykmoDNjMhQcOVDILVkwZTJWp0Pog=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=SWpzXrqNkmqzFqVGSn4sybLAzJouXk2PRrwgUZPHQXF0GQbaqxBLlwEvEHVAVzcvs
 llS+Lp/+M84vGhaVtogVU/ZP+37BadQ3EpQTZexsauqr2y00dFt7COs8oE2PmEiQI3
 hb3zUTOgmUBpxJr+TyXN+J3D0oXSPUBqGVnY/JKRX8RLh3Fsifp4WslGFJIgJAOeX4
 SmADMNCLxxM2kpp+/+Omz4vWZ0CqhMGm15sk7CxZOgbyVewKPSYl6MZgv+/WxDL5Uv
 6EfI53ReJH1mpxEC2dwUtodVzJkNm0PyThAqecNl/XtULarnOcdFLnT6RTdWNvpM+r
 n1CKlJqlEHtKw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-GUfzoPsjipFVjnPN2u4J
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
>
> [...] created by Jamie Zawinski and explained by him at

Packages are packaged in Guix for the convenience of the user, not for
making the author of the software popular.  Instead, maybe you could
write a _short_ description on what threading is, what things are taken
in account (In-Reply-To, References, ..), and maybe whether it scales
lineary or exponentially or whatever?

Greetings,
Maxime.

--=-GUfzoPsjipFVjnPN2u4J
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUdxxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7iMBAQDGssWGTrzl+rybNghsF+IlUjqW
C0i4JaKu39jG23RNlAEAvOyIvMv1oE8hphVT8YdHLQh3Z1STq8Lpfq210ua9bQM=
=TJT3
-----END PGP SIGNATURE-----

--=-GUfzoPsjipFVjnPN2u4J--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:53:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:53:08 2022
Received: from localhost ([127.0.0.1]:54249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09ye-0006HV-3K
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:53:08 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:51140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09yd-0006HO-0Y
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:53:07 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hyt52701E2PJVAL01yt60c; Sun, 12 Jun 2022 00:53:06 +0200
Message-ID: <44cbee98828cdb05555fab8f3e0e3b7b00785dcb.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 18/41] gnu: Add go-github-com-jhillyerd-enmime.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:53:04 +0200
In-Reply-To: <20220611191653.15471-18-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-18-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-HI0ZnAalzjubf1BJCmcc"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987986; bh=qtPO1TvvbTUmVMRwyMYJ0U4TyW4HtW6e5QvqkaKRZQc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=h1KFcN7E5Gh3XGsJX/s5H6v5EwVzI3PLniEfuogL4i43RfpVW3rjBSlQAEcsICyGH
 bScV2pLYTUCpSKrueAT3a8NJd/s0hOUZPpgX7zQuPbxY5/pRNLwipXPdZ+XIEiYuFw
 KwuwCyg6XB4l14/GmcOdNEs1jrLSE9G93xEjTEHyUdwJCyt6Ga+gBUHO5YpIp4mCTe
 fe2ZCW6BHDK0g4LXrfBanFlhCfONE3RDcnZDNSZ+KjtbSgsVXpDAJSgxXQPae4umxt
 UGUvzVj7gCkn4qlOkDAnyJ5IRanqzs/z1HVnNT5LcI5N6VxRjrQx+vZBKH03iQmpfc
 cwAVK3/VltQeA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-HI0ZnAalzjubf1BJCmcc
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +It's built on top of Go's included mime/multipart support where possible

Implementation detail.  AFAICT this is not relevant to users of go-
github-com-jhillyerd-enmime.  Instead, maybe you could write about
which MIME things it supports (e.g., does it support reassembly?
mime/alternative? streaming?)?

Greetings,
Maxime.

--=-HI0ZnAalzjubf1BJCmcc
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUc0BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7guxAQCZUudyBse8knF/PR4WT0DVfm7n
rXmhBJSo7oSzQ4NnqwEAzF3t3irNOu40vcohOg/nSXuFfZHisu5QzERdUZEF1ww=
=b+9n
-----END PGP SIGNATURE-----

--=-HI0ZnAalzjubf1BJCmcc--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:49:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:49:56 2022
Received: from localhost ([127.0.0.1]:54244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09vY-0006Cb-LV
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:49:56 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:48176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09vX-0006CU-8C
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:49:55 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hypt2700A2PJVAL01yptdB; Sun, 12 Jun 2022 00:49:54 +0200
Message-ID: <dbd482eb456066c99945d1e00d2799153ae886ff.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 15/41] gnu: Add
 go-github-com-jaytaylor-html2text.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:49:53 +0200
In-Reply-To: <20220611191653.15471-15-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-15-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-6wzgu6vLTdI3n87fXMdf"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987794; bh=dWrh/U8MJtIHY1ySogWyvEsO4FvoQ2yy9qUA3IMkUFU=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=B9mJ9ff1gDFfkiyKAeSKPHmSyi/9eMBFO0ByZ6n8w6hW/u++8c34jB0SBW3VOFrvX
 YPTxMlGHljaFkjxIpPkoH5Z6YvNBlTBu19J4/HwnTUdjZiOT8eKPeKZyQ4kQadX6ov
 jBQNF8aoSBHdCqYF7wzqWhSgXtQ7ETF0tU1qcAO8tvT5bEgh9gT6UVt2kUWK4g/aFn
 iLLs6KJQU2GlG6Y99jC96nqrCt07Vq+8bJojc+kevyNEYQx8naqEKXZ9caA6doHFNr
 qifkCvzyKTL3xBPJXy2o5ezPjRueaAupgYn7p9EYpiGcXkm//bI8u5jOnUtBobX6aV
 orSTYX9q2rV9g==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-6wzgu6vLTdI3n87fXMdf
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;; XXX: See=
ms to make incorrect assertions about the text it produces?

Please add a link to the upstream bug report, such that future updaters
of the package can easily check whether the issue has been resolved and
hence whether tests can be re-enabled, and such that reviewers can
evaluate whether the bug is likely to be a problem for users.
Likewise for all other new package disabling tests, if any.

Greetings,
Maxime.

--=-6wzgu6vLTdI3n87fXMdf
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUcERccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7hGIAP0Y8KLbIhMO0HG1u8B03Y80hzPV
d/sYJVrQn16rwbzwaQEAmP1ZYswBgHO96mwJeGMlBe3jca865JX/2qTX5oy9vQk=
=X9XE
-----END PGP SIGNATURE-----

--=-6wzgu6vLTdI3n87fXMdf--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:48:59 2022
Received: from localhost ([127.0.0.1]:54239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09ud-0006B2-D3
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:48:59 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:34138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09ub-0006Au-RS
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:48:58 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyow270062PJVAL01yowjr; Sun, 12 Jun 2022 00:48:57 +0200
Message-ID: <647636b1f84935e787ba0df04a3f5ba0773aa8f4.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 15/41] gnu: Add
 go-github-com-jaytaylor-html2text.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:48:56 +0200
In-Reply-To: <20220611191653.15471-15-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-15-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-peyA4UnqhYeUhDK8/9Dr"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987737; bh=otyvCxg6mqVBaIy5txCztnFkk8/D143IC8u1Ufe90Uo=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=HmHEyeQvbvTLD18g4+dOgR3Yee+btkp6+McCoOB0LaLiDUZcAo625Y66yIFVNsE01
 YJajYDKBkXqplGKwAJnFX6TZkFZLvBV3uZLKptmaMXHcbkjCzmIc3DPPHua8k23/L0
 2pYLLuK+YAyTpT2yYG7RA8DRQWNcRkRKyWmIU8JBVe4GPy62v/1qJ4UXbRkENf1QEd
 BsyMnyhuP8wyMw3FpR3FSuVqb1Apc1I2bzcmoFtxI/o8wf4ZRlctcE9Xs+B6SA7ngL
 mDUnHZv5nWEGfgJ80xfPpvL72JJtUByG56FNsTbqdkkA8H51yHm4XaniMb8VekOWsI
 S01J+G9PPpNKg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-peyA4UnqhYeUhDK8/9Dr
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> Ensure
> +your emails are readable by all!"

Rather markety.  Also: ensure->It ensures that.


Greetings,
Maxime.

--=-peyA4UnqhYeUhDK8/9Dr
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUb2BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kDRAP9GEYNK9qUS8pPByjQJKF9wSPlj
thPUAFDBU+P2gQcRKgEAppEHeY+mBDEpuSaVeA+/79J/DwsqPh+LSRQ+uN89AQQ=
=W+/S
-----END PGP SIGNATURE-----

--=-peyA4UnqhYeUhDK8/9Dr--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:45:41 2022
Received: from localhost ([127.0.0.1]:54234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09rQ-00063b-UT
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:45:41 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:59708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09rQ-00063U-7A
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:45:40 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyle2700D2PJVAL01ylfXF; Sun, 12 Jun 2022 00:45:39 +0200
Message-ID: <484464c9383fed07197a8ca32738364ba8652cad.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 09/41] gnu: Add go-github-com-go-ini-ini.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:45:38 +0200
In-Reply-To: <20220611191653.15471-9-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-9-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-5THE00LdGXfOO2jszCtg"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987539; bh=WhfnuzyKbAwUQbntX3KvEe10NTcQo9sEt94nhSaLhvk=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=B/imI/IjCWNJu+NtyoImJCAHm6fSxtiov/sGRfR07ESldaP/ahglZ1YqrVgjM2OYo
 zz/548kP9dL/A9Q8rtALHsAIXxdAd3JNNen/j8nJFgVV1pRKYy8ljrzwZc+/ky2YnK
 zbj9Ki4xgMW2fN8e+lPpWzu554GD+0L464Oa9NVsLH3Bpc7x/41btkrhUxKAEGbMsd
 cXyaBA+NfXcBf4QF0tyTPDb0pH2jkU9MZYtlPYlayEuFlhHtmljZLQdlRy9Wj/XY4J
 YM5zLxkbgLL/b0xelli/Ly6jsgRWX+zE+USUnZVMo/JgB9UesxHtHhuuaUU9C/eJmt
 tqB+7BTg5WsDw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-5THE00LdGXfOO2jszCtg
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

KHVubWF0Y2hlZC1wYXJlbnRoZXNpcyB2aWEgR3VpeC1wYXRjaGVzIHZpYSBzY2hyZWVmIG9wIHph
IDExLTA2LTIwMjIgb20KMjA6MTYgWyswMTAwXToKPiArKGRlZmluZS1wdWJsaWMgZ28tZ2l0aHVi
LWNvbS1nby1pbmktaW5pCj4gK8KgIChwYWNrYWdlCj4gK8KgwqDCoCAobmFtZSAiZ28tZ2l0aHVi
LWNvbS1nby1pbmktaW5pIikKPiArwqDCoMKgICh2ZXJzaW9uICIxLjY2LjYiKQo+ICvCoMKgwqAg
KHNvdXJjZSAob3JpZ2luCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChtZXRob2QgZ2l0
LWZldGNoKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAodXJpIChnaXQtcmVmZXJlbmNl
Cj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICh1cmwgImh0dHBzOi8v
Z2l0aHViLmNvbS9nby1pbmkvaW5pIikKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqAgKGNvbW1pdCAoc3RyaW5nLWFwcGVuZCAidiIgdmVyc2lvbikpKSkKPiArwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqAgKGZpbGUtbmFtZSAoZ2l0LWZpbGUtbmFtZSBuYW1lIHZlcnNp
b24pKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoc2hhMjU2Cj4gK8KgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqAgKGJhc2UzMgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqAgIjBrcWcxMzYwNmhudzhmNzVjYjU5ZnN5MW04NWtpcWYzY3NpMmc3cTI1MTJhdmRtYXBoYzki
KSkpKQoKRnJvbSBhIGRpc3RhbmNlLCB0aGVzZSBsb29rIGxpa2UgdGhlIHNhbWUgdGhpbmcgYXMg
Z28tZ29wa2ctaW4taW5pLXYxCm9yIGdvLWdvcGtnLWluLWluaT8gIFdoeSB0aGUgbmV3IGRlZmlu
aXRpb24uCgpHcmVldGluZ3MsCk1heGltZQo=


--=-5THE00LdGXfOO2jszCtg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUbEhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7htFAP9N5pqqyA0fTtwjMC8vDa/ZrfWH
ACYlCRTMfR3SZ9MBPQEAjHshLuPR+2MVYfilBh/6BOsp4lNBMIpspG3cvxFSqAw=
=xSpF
-----END PGP SIGNATURE-----

--=-5THE00LdGXfOO2jszCtg--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:44:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:44:11 2022
Received: from localhost ([127.0.0.1]:54229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09pz-000614-KH
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:44:11 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:58302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09px-00060t-I0
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:44:10 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyk72700E2PJVAL01yk8Qv; Sun, 12 Jun 2022 00:44:08 +0200
Message-ID: <9c463e02ad3e7eeb102643a0c09a7f38795e19fa.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 05/41] gnu: Add go-github-com-xo-terminfo.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:44:07 +0200
In-Reply-To: <20220611191653.15471-5-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-5-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-Ui7ZfFYE4+GLSMnQ2ppj"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987448; bh=bbNuqtkkYYGcvHED1/Cwlkd3qobHBSH7Atixm7Z2N7s=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=h5VgA7Et53lSf7PwEQOZzbYcQkv9vBPjtwEUr6Bxg2XYjIJDbraodY7VnMXypsrKM
 j0Lga6onltzFODY+qatmJDtbdW7C4phm+Vr5qdpXLLKNpp7ZKla1Q/SK16YMUDqNb8
 ZXmweJyo69NVSBVpiYCxMblLUmBGvYqF75caMUGfosv0AlhpNeSV+z6vbZcpDk9n7P
 I4Ys5twRlP+CDi7pA9f5riKum6eETlnjkkedsuKo0eoX1iiR+fVPboQYkGcwUzKqu4
 06nG3M353I632cNMOA5i2WUOov3WnPSNgyVfekH8nq1B5tLqfblN3fSATSqdCBGlK7
 aIaCXe4jmu0ag==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-Ui7ZfFYE4+GLSMnQ2ppj
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

KHVubWF0Y2hlZC1wYXJlbnRoZXNpcyB2aWEgR3VpeC1wYXRjaGVzIHZpYSBzY2hyZWVmIG9wIHph
IDExLTA2LTIwMjIgb20KMjA6MTYgWyswMTAwXToKPiArKGRlZmluZS1wdWJsaWMgZ28tZ2l0aHVi
LWNvbS14by10ZXJtaW5mbwo+ICvCoCAocGFja2FnZQo+ICvCoMKgwqAgKG5hbWUgImdvLWdpdGh1
Yi1jb20teG8tdGVybWluZm8iKQo+ICvCoMKgwqAgKHZlcnNpb24gIjAuMC4wLTIwMjEwMTI1MDAx
OTE4LWNhOWE5NjdmODc3OCIpCj4gK8KgwqDCoCAoc291cmNlIChvcmlnaW4KPiArwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqAgKG1ldGhvZCBnaXQtZmV0Y2gpCj4gK8KgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgICh1cmkgKGdpdC1yZWZlcmVuY2UKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqAgKHVybCAiaHR0cHM6Ly9naXRodWIuY29tL3hvL3Rlcm1pbmZvIikKPiAr
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKGNvbW1pdCAoZ28tdmVyc2lv
bi0+Z2l0LXJlZiB2ZXJzaW9uKSkpKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoZmls
ZS1uYW1lIChnaXQtZmlsZS1uYW1lIG5hbWUgdmVyc2lvbikpCj4gK8KgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgIChzaGEyNTYKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoYmFzZTMy
Cj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAiMDVnZGN2Y2J3Y3Jjd3h6bmh2czFx
MXhoNGlyejJkMTB2Mm16MTc5cHlkamgzMGtqYzBqNSIpKSkpCgpBcmUgdGhlIHRlc3RzIGFjdHVh
bGx5IHJ1bj8gIFRoZXJlJ3MgYSBuZWV0d29yay1hY2Nlc3NpbmcgdGVzdCBpbgpodHRwczovL2dp
dGh1Yi5jb20vbWlvbGluaS9kYXRhY291bnRlci9ibG9iL21hc3Rlci9yZXNwb25zZV93cml0ZXJf
dGVzdC5nbwpzbyBzb21ldGhpbmcgd2VpcmQgc2VlbXMgdG8gYmUgZ29pbmcgb24uCgpHcmVldGlu
Z3MsCk1heGltZS4K


--=-Ui7ZfFYE4+GLSMnQ2ppj
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUatxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7r6eAP4giVRurvHx/AzLd2vXcqD6TDsU
FtRbPSlJQyqyevTkqAD/TOiyemluEnggTW87Pe8wxtSZ5/rxASd1E0jcvMIfPws=
=294f
-----END PGP SIGNATURE-----

--=-Ui7ZfFYE4+GLSMnQ2ppj--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:41:54 2022
Received: from localhost ([127.0.0.1]:54224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09nm-0005xM-7v
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:41:54 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:41128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09nj-0005xE-Vf
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:41:52 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hyhp2700E2PJVAL01yhqfH; Sun, 12 Jun 2022 00:41:50 +0200
Message-ID: <7a9ba089c222a94c0a1a5a06164aec7fdf1f9fec.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 05/41] gnu: Add go-github-com-xo-terminfo.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:41:49 +0200
In-Reply-To: <20220611191653.15471-5-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-5-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-V5Rp/r1rHIPGGDwW3xLp"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987310; bh=sPD0jxulBPO7OgwQdkINkXK/SKdnM8JKtfnwCTArlns=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=YpSXPliRR3YnVwr+H66/7o+4mu7q+sCe/G50BvSkCoPRnzH/GoT7r0QMS19NP0NaL
 0sgNYVKaPrpc3NGDO1QJHzIeZHu31INxZ6k3JjPebyOP+GHZdMo6CiPvHbw+xhISyt
 a61DQ0Vk7u0jQP3NvC+Denq+2TVGGpn4gJe1B53szzfKw3oinNAKqI/7Se9P+5i169
 AfEkSMU/oO1jLJ+bIeZrZzGQNFSf7/ZnBtkAL7GwHjKeuney32F06jR+vG/xNr8OtZ
 +w0ROG1HAZ3xZwouANIzulK5zlR7Z9LVWy2bjyVSlY/a1NKSN3dQmJ7Lpb3pJUlub0
 8XT3VVM4QNcjA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-V5Rp/r1rHIPGGDwW3xLp
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> immplemented in pure Go

Guix is not a language-specific package manager, it supports working
with multiple languages at the same time, so mentioning =E2=80=98it doesn't=
 use
dependencies in other languages=E2=80=99 is usually irrelevant in Guix.

Greetings,
Maxime.

--=-V5Rp/r1rHIPGGDwW3xLp
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUaLRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pWGAP0aCjFMYc6aX01xZmEje0iIgr9w
OHnBPA/wapcCBspIfAD9Fhvof3dgSD4b7Cq1xgZeWjj0mFccRzFD0MWJ6yp/eA8=
=PWVP
-----END PGP SIGNATURE-----

--=-V5Rp/r1rHIPGGDwW3xLp--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:38:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:38:14 2022
Received: from localhost ([127.0.0.1]:54219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09kD-0005s3-OU
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:38:13 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:37878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09kC-0005ru-5G
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:38:12 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by xavier.telenet-ops.be with bizsmtp
 id hyeA270092PJVAL01yeAn1; Sun, 12 Jun 2022 00:38:11 +0200
Message-ID: <62368a0ba241a2d35115051cd6aa82efdf102407.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 02/41] gnu: Add go-github-com-creack-pty.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:38:10 +0200
In-Reply-To: <20220611191653.15471-2-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-2-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-qN/eFgdBGKKCECHolW/L"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654987091; bh=hZGQhOygHDODktfS+WuMTwoQcNOkadxKa9ZwZUm4Ppw=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=BAy7XgYxRo9CP00aq//igVud2AYNYaZqAgl8jMH40sSBGoY4s/9azHw4k9Oq3tGW3
 V5k42uQnywVWc8PzUGLgOMkMOa4VavIUMRS66avTvMsY4C714SdbrdJ1+hVklBM0fe
 2JZ1DN62RmvznSH3ozp14KDrp3E7IdKpBrBD2NZ3DCI/z9gt1vM7XN5KRbFGfBcjAo
 P9OfnLMw6JesTOZ1LbzhPlyA+o9mt+QWXc9i825w3Dh0XfoD5fDVQ7sOZGu1szubSv
 QKc+JQn6nywYj6CGjAxJKtTwjV0qdSaCkqrpSUwATXkZy+Y80x/cZQnApgeGlEBl3f
 cfaMC7imyJb+g==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-qN/eFgdBGKKCECHolW/L
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> * gnu/packages/golang.scm (go-github-com-creack-pty): New variable.

In the previous patch series, =E2=80=98go-git-sr-ht-sircmpwn-pty=E2=80=99 w=
as used
instead.  What is the reason for changing it in the new version of the
patch series?  Likewise, why the change from sircmpwn/aerc to
~rjarry/aerc?  Likewise for other packages.  Likewise, why has the
'wrap-program' been dropped in aerc?  Please mention such things in the
cover letter.

https://issues.guix.gnu.org/37444#55

Greetings,
Maxime.

--=-qN/eFgdBGKKCECHolW/L
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUZUhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7lpYAQDIcqmzzRP+xmZepfrvF3Av+Yn8
aF7OoR2hNS0KmGDJmgD+O/cvbG0wURfXMphPMr/5LKZ7Hm58JJOZ7OoDoOsMPgI=
=serw
-----END PGP SIGNATURE-----

--=-qN/eFgdBGKKCECHolW/L--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:35:04 2022
Received: from localhost ([127.0.0.1]:54213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09hA-0005nR-9d
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:35:04 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:49032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09h9-0005lp-1V
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:35:03 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyb2270022PJVAL01yb2le; Sun, 12 Jun 2022 00:35:02 +0200
Message-ID: <eb374749fed8497a821ab4e2cbaafde32c8217f5.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 02/41] gnu: Add go-github-com-creack-pty.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:35:01 +0200
In-Reply-To: <20220611191653.15471-2-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-2-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-JxRSnrSR//crLYgKZ5lk"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986902; bh=A4fQfu4l6rLsXXaser4+cYMgMC8nvHBbLe3GXzBM3T8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=jml3/fRZ+1RjXCwcCcOWiOVUMTOOAPDIEckL6sCHL1dJa7edG+Z1LXteBIgXNtT9o
 4HFBWeraUfq29RN+CdWWzUNFF48mImZXKbqVfAYMc1yYlXB/ZZ6X2EcZIvg43LnmKL
 WQKK4Xgvk3GMDIJwEMFSLOg7YDDXBtHlEfufS6+K0pG5k9u+WUB+1JZkBOJd9guZRf
 XUnWsUgGlLpeYHu1dXcqsC7dkE250Nd+NnCJuxXJ4T5rHMtm2NRtlLc422iUEobpRz
 +sZmjZSSjZ/nc51FiUILiA13LQLoB3XY0ErxC6LZ5NiF3Lomg5Af1934viD/RkvAoG
 G65+GD8VOl0fw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-JxRSnrSR//crLYgKZ5lk
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>

That's not how we use that in Guix -- search in the manual for
Signed-off-by.

--=-JxRSnrSR//crLYgKZ5lk
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUYlRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7vp7APsFBsVwlIi1jxlJmlltsgGrIQSA
qUSXYQUUTjC+li7XkAD/aq7dOn8IYA6os2BONiHj2JWivFeNwpaZWgnxyL2r1gI=
=Yu/T
-----END PGP SIGNATURE-----

--=-JxRSnrSR//crLYgKZ5lk--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:34:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:34:16 2022
Received: from localhost ([127.0.0.1]:54208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09gO-0005lx-1i
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:34:16 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:49032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09gM-0005lp-8z
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:34:15 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyaC2700E2PJVAL01yaDgh; Sun, 12 Jun 2022 00:34:13 +0200
Message-ID: <bb97c4c11e1cb2dadf2e543d228b49a9afdce786.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCHSET] Adding aerc
From: Maxime Devos <maximedevos@HIDDEN>
To: "(" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:34:12 +0200
In-Reply-To: <CKHC5V250Z0C.2JLX1A9LT63JN@guix-aspire>
References: <CKHC5V250Z0C.2JLX1A9LT63JN@guix-aspire>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-r1YiDnQGXqs33RHt2w3r"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986853; bh=4zvg8Xoa2rENvSRifm9IsRBtd9p7HU93N/bChzxH9jc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=KubjfHJ88NQf4zLu7ajRDtVMD3Fg2Wfan7IyC9JlO8MqSCh/pEbs5CmJlI+pHwfXm
 21a9sSL8/Y/IcDgRbv/C59KhfjJ1FZe2MzJPYEI4rpJhwF1ihGeWbC48tNwd5oJmdU
 qN6vDKS5B2ce0l/Ip8e688rk05C8gBa6Mlzb/sJoQb6neFkJc9CmLqdOA/IK7oFcv1
 9hrhJlWrPit0E4hHy6/jINGAFdgpL0wSRGeYorFDPHpdSRfZwbQwnDOSX9btQDnVEx
 kBvEnVB+Zp7XJPAOqfYVzIKGwPqUdr9YJgrJbzMka3ZyeO8O4oSdrlJzuUUqgyf9Kc
 nRYS/Asz9poDA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-r1YiDnQGXqs33RHt2w3r
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

If this superseded <https://issues.guix.gnu.org/37444>, please close
that issue.


--=-r1YiDnQGXqs33RHt2w3r
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUYZBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rVfAQDMZYpB0cC7ygYyAzPMT9YZsIUt
7YR1sjhqxIgONcSB9AEA2FXuiv2fV+Ds9OzBk/v3bR/TxOE516ZdQdCOMSsYKgc=
=INuv
-----END PGP SIGNATURE-----

--=-r1YiDnQGXqs33RHt2w3r--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:32:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:32:40 2022
Received: from localhost ([127.0.0.1]:54203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09eq-0005jP-NV
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:32:40 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:47312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09ep-0005jI-Un
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:32:40 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyYd2700N2PJVAL01yYe8E; Sun, 12 Jun 2022 00:32:39 +0200
Message-ID: <910089ad5f6afca5812fdd17a77cd1f0bc0db7b1.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 02/41] gnu: Add go-github-com-creack-pty.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:32:37 +0200
In-Reply-To: <20220611191653.15471-2-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-2-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-o9RW2cQRkw56vtV3n6gt"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986759; bh=V1/5oysBRp1y504lsbNOvSqi7Un0ORvxFN58P62H5+Q=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=PB0IzfcFcaBesPgm/SE+P3vUivdON80svpin91rortZDSx7icKDZ4mokrtctOmCkc
 YMcVsU7PMFW/KNu+RMRzOHQ6/qgNX6DE1yoyw3yvpHjS8RGqkmlE0OjPo0h+5wyoj5
 9hWqeBKRWqFdIaXQ80ajKrpv5vrVIU5bNKVBBl/5fmiMATHyK+lP6Qin7dUnCgTnNw
 gxnf68JCwBy7tPL0LqHrgXzytPNqN8tx/1GE6xY5r2MvO02xLDuKULyBvou5lohTSv
 7J574Tb2kTNZbE54z5i+5Yc1ZZE48CSq2mhSC7UsSZM9+Vq7AuCicEBeIiJKYvvN4f
 p3XGbTRlJUPEA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-o9RW2cQRkw56vtV3n6gt
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0 "Package pty provides functions for working wit=
h Unix pseudoterminals.")

Not grammatical, add =E2=80=98The=E2=80=99 before =E2=80=98Package=E2=80=99=
.  Also check other
packages.

Greetings,
Maxime.

--=-o9RW2cQRkw56vtV3n6gt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUYBRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7i2UAP9fuLC/TBWhdxkcWd9wppjqUVpP
zx258T1CwIbPcS3H0gEA014w/SGDnpDoObUehH6U+RWo6s0xLSpMfs/LtLLioAw=
=d8Nq
-----END PGP SIGNATURE-----

--=-o9RW2cQRkw56vtV3n6gt--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:30:42 2022
Received: from localhost ([127.0.0.1]:54198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09cw-0005gU-Cl
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:30:42 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:45400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09cv-0005gN-4Y
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:30:41 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyWf2700G2PJVAL01yWgSA; Sun, 12 Jun 2022 00:30:40 +0200
Message-ID: <a10ffaafad076b9c01373f983feacca86b227800.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 02/41] gnu: Add go-github-com-creack-pty.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:30:39 +0200
In-Reply-To: <20220611191653.15471-2-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-2-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-9K9qs6HMYPqBID7+aR71"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986640; bh=+QirK/kZvcsiAOntFYW+rYs1XeVaaJNlJTDZNSRekR8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=LyNCI1HoNRogJy1+7WPqi8v08F5x8oyXwW+J9Gadmi12lIlsMCSgiAicuKfLDD8OB
 WH/AFHJlZk+NOuF2+wbLOAHrAWEkZcElX0rwSj8hGPms1Gq8AdauiYMvZjQEMjJ5iX
 rdZwHA8Qxd8k7y7xCaJxRo47KwbyL5cmGJDiQ/T/sZjO5oHr1YK5SvutXjzgqVX/oS
 2rRevjSpsXAxMTunbXW3RkGnZuYLXw1+WkQ9qly5qO0wytnf6ThrTGCWLwzv/8N5lg
 X0CcXSgtISJztgpJOMy2eRLV1W1T8VPW2NA1U/R7sLGBSz4H0DXCnP5pLufmYCMAzE
 EPSe69zlWBvLg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-9K9qs6HMYPqBID7+aR71
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

KHVubWF0Y2hlZC1wYXJlbnRoZXNpcyB2aWEgR3VpeC1wYXRjaGVzIHZpYSBzY2hyZWVmIG9wIHph
IDExLTA2LTIwMjIgb20KMjA6MTYgWyswMTAwXToKPiArKGRlZmluZS1wdWJsaWMgZ28tZ2l0aHVi
LWNvbS1jcmVhY2stcHR5Cj4gK8KgIChwYWNrYWdlCj4gK8KgwqDCoCAobmFtZSAiZ28tZ2l0aHVi
LWNvbS1jcmVhY2stcHR5IikKPiArwqDCoMKgICh2ZXJzaW9uICIxLjEuMTgiKQo+ICvCoMKgwqAg
KHNvdXJjZSAob3JpZ2luCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChtZXRob2QgZ2l0
LWZldGNoKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAodXJpIChnaXQtcmVmZXJlbmNl
Cj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICh1cmwgImh0dHBzOi8v
Z2l0aHViLmNvbS9jcmVhY2svcHR5IikKClRoaXMgY29udGFpbnMgZ2VuZXJhdGVkIGZpbGVzOgoK
aHR0cHM6Ly9naXRodWIuY29tL2NyZWFjay9wdHkvYmxvYi9tYXN0ZXIvenR5cGVzX2ZyZWVic2Rf
YXJtLmdvCgpQbGVhc2UgZGVsZXRlLCByZWdlbmVyYXRlIGFuZCBjaGVjayB0aGUgb3RoZXIgbmV3
IHBhY2thZ2VzIGFzIHdlbGwuCgpHcmVldGluZ3MsCk1BeGltZS4K


--=-9K9qs6HMYPqBID7+aR71
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUXjxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kzHAP9d3kYpo0fklI8KBpIBitsrBij8
OFZ27eFnlQ9ot2IkRAD/SuUzcrgCtks28yUwmevjWk7V+pY7ot0HE2eoxK6IlQU=
=94W0
-----END PGP SIGNATURE-----

--=-9K9qs6HMYPqBID7+aR71--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:28:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:28:54 2022
Received: from localhost ([127.0.0.1]:54193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09bC-0005c3-2X
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:28:54 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:57132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09bA-0005bv-H3
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:28:52 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by xavier.telenet-ops.be with bizsmtp
 id hyUr270092PJVAL01yUrYc; Sun, 12 Jun 2022 00:28:51 +0200
Message-ID: <74d0455b26eeba947c3a92ade064617882f888f0.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 04/41] gnu: Add go-google-golang-org-appengine.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:28:50 +0200
In-Reply-To: <20220611191653.15471-4-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-4-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-bUIjkeICcmE7qBBQmQnF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986531; bh=HPUlt+9vAM0vMEFIApblmtIp511zcmQYvSIRQPutwQI=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=CkDJ/5l55DqwHyZ2aUwRMD+dMVdtOC2kX49z/V7Pf8Le10wsK97WK9tNrUFrESWfB
 VzogdAHmvz3cvb39K7MEDMZawGZsSfsZeeZAHbwQOFcbC5hqymBRKyphuYJJUC8BH2
 RUtJ2Mbuikweku89GZipx3p9kRqJDy4wFNNHhFZD0ryVf2csGAnAWmD4AwE2gSOB80
 b07oWF7JYEsWJiDjofgA0L8YuSWNRHeuEdRJQQ810tBeLa37B1S+N00vEpj9DHlPa0
 qNntREGrDnpIkSR9EV3c36CezSUpSqEDlCa8H6T9WG4icfFWiG9ibv/9v/nHH+nDon
 WCEM4Tifbs1UA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-bUIjkeICcmE7qBBQmQnF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0 (description
> +=C2=A0=C2=A0=C2=A0=C2=A0 "Package appengine provides basic functionality=
 for running Go on
> +Google App Engine.")

Guix does not run on Google App Engine AFAIK, so no need to include
this package.

Greetings,
Maxime.


--=-bUIjkeICcmE7qBBQmQnF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUXIhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7lEfAQD9pT6Z8UmtU9oLz/1nQ5TQE5Jh
0WSZMsoP29ZMgTviFwD8CinfNNQhlHqVmVBSao5eoIjAoq31e4a3+F6nYtJCgwI=
=E2Gv
-----END PGP SIGNATURE-----

--=-bUIjkeICcmE7qBBQmQnF--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:27:31 2022
Received: from localhost ([127.0.0.1]:54188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09Zr-0005Zz-O6
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:27:31 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:55948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09Zp-0005Zp-Ey
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:27:30 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by xavier.telenet-ops.be with bizsmtp
 id hyTT270062PJVAL01yTUJ4; Sun, 12 Jun 2022 00:27:28 +0200
Message-ID: <8bda65b813803639b127a174bbd0a74b3d383858.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 25/41] gnu: Add
 go-github-com-protonmail-go-crypto-openpgp.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:27:27 +0200
In-Reply-To: <20220611191653.15471-25-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-25-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-7VMqT/4r/VwZ6+bjO/Cq"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986448; bh=YIYoTRzzO4XKhhzosMYcwQMlu5ntnc0KDfPoInwS+Uo=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=gpwbHI4T0MJoU9ttypSONWnI38UXPCNB/VkftERl1PefGKyY2MKhLDWDrnbVSiRMs
 KC8deKFQKijAAQN1SdEcu7QBvoV2MIjHpkyLlEtFfCBA4y/cfIJ/p27FJzgr3B9R70
 jzvQfphGRyMNByAsSE7A3NYUkQRfm/BIUXYDVlfQD8a/eNoV57RSc46uDXLL/rKgvj
 c4LJ7IoMyZ84C+EdN1SNXFnLjPRUihcfDP/dvY07bLcUdVRxjn4o6eDltIJpOQJTlK
 ijMgT7xy/hYJ6oMMgLHpz311q3+k7uCMo8RmuFCewG6UbQGllHT/uA1WUocBrohCed
 WrXVYBN4v8+uA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-7VMqT/4r/VwZ6+bjO/Cq
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0 "Package crypto provides cryptography for Go.=
=C2=A0 This version of the
> +package is a fork that adds a more up-to-date OpenPGP implementation.=C2=
=A0 It
> +is completely backwards compatible with
> +@url{golang.org/x/crypto,the official package}.")
> +=C2=A0=C2=A0=C2=A0 (license license:bsd-3)))

If it's backward compatible, maybe packaging the fork isn't necessary.
Also, packaging all the forks in the world of everything is unscalable,
so I think we need to at least require that forks look into upstreaming
their changes.  Likewise for other packages in this patch series that
are forks (if any).

Greetings,
Maxime.

--=-7VMqT/4r/VwZ6+bjO/Cq
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUWzxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7iAqAQCD6mkWr2CepIJynNv3rFooSoRg
jWoUFl5IWEjfUhOc5gD/WjG/TQpOYS7aQUmOlbQpfsmWG5KEbQJ/h5QWzOaJEQo=
=QrMU
-----END PGP SIGNATURE-----

--=-7VMqT/4r/VwZ6+bjO/Cq--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:21:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:21:56 2022
Received: from localhost ([127.0.0.1]:54183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09US-0005Rm-45
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:21:56 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:50442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09UQ-0005Rd-IT
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:21:55 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by andre.telenet-ops.be with bizsmtp
 id hyMs270082PJVAL01yMsNx; Sun, 12 Jun 2022 00:21:53 +0200
Message-ID: <ff8b03acf192c28b136cba534e6c86c2a7861707.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 37/41] gnu: Add go-github-com-google-shlex.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:21:52 +0200
In-Reply-To: <20220611191653.15471-37-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-37-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-PtyJn6t9vaNl4sOhudF+"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986113; bh=MHNSDQ7WRn+RsdZWQMCwnXVu1Eu4ifx5IH0VBZl+SDc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=J25yRlPS1oTxPHSJQfYCN03+Ud32Ya9gTEqolb1PbZ2hOw+YCZzym5DjovT49xXKb
 LSOWhhkaBsroVt/CUVmoNytMQHMzselmN1ryB4AQUxEun7uLKk9Dlgxf1oFwNlCko3
 9o+cIT0MXAF6Q7L0wR5rxHf/OUFHVoC+wHNR5QaEnFTyORJhNyCOIunHk6itX0uYKu
 tH1js97CGRia75inPqk7a/n9ocbV5Qom4zTINwVtU8zdyjx3XZWPn1Rk0jgLe3+hMq
 BfHs9G/0FU3AyLXW2BYrvjKgj6JSV0KgIjKBP9iAuScc4DNKmjZH2h24jkn/C2/8Hd
 vP5/CKm04SjqQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-PtyJn6t9vaNl4sOhudF+
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> * gnu/packages/golang.scm (go-github-com-google-shlex): New variable.

See <https://issues.guix.gnu.org/47539#28>.

--=-PtyJn6t9vaNl4sOhudF+
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUVgBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rlDAQC0p6YlGc8PwKkhNT1Li3q3g36o
ue4m3RtORk1Y2iaBawEAnczspkX0xsmg8uZB77KfYB66Ae/qkGZ1OXn48d1vewk=
=1IH/
-----END PGP SIGNATURE-----

--=-PtyJn6t9vaNl4sOhudF+--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:20:39 2022
Received: from localhost ([127.0.0.1]:54178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09TC-0005PU-Rz
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:20:38 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:35888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09TB-0005PN-GF
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:20:38 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by baptiste.telenet-ops.be with bizsmtp
 id hyLb2700G2PJVAL01yLcqH; Sun, 12 Jun 2022 00:20:36 +0200
Message-ID: <082e13797d1980ee60014c85a2a203ea93c2057b.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 37/41] gnu: Add go-github-com-google-shlex.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:20:35 +0200
In-Reply-To: <20220611191653.15471-37-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-37-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-kvabZ0W3qM4AEd1hGMxe"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654986036; bh=5HZCc7c2sq9zxF2Lpj+CDrcbl0YGocRH61PGvsLyKnQ=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=PrO7gKXlhKPiHFguFdnDJy1R6s8SmL8Cz0/gIDBHTz5zJTSf97gzoi1RfiJWAWmTZ
 zluCb9VKIbvMl53AoK+aN1Bj7k8cfT7QpDCuXm0tWTrxAIsePY4fq5DrG8gP9qtqgV
 zSZI6DW2BCzrwfT8bkrPYUeZzW1HG2HAkTq1qsdkY2CBDa/j4duzRk1DQXBtikmah1
 whh92e3f2doEKv30M8Cc5PgJgDyjrrwzeo7246UsJfJ8hmta+cOTNE6PLQ/AhYL+/g
 hVUsYS3kA3TtkG1ZPZigDHdYdTfutWDriUIH7JVbpnFqnCuGseIjNFOKS8Pp/UXDsK
 Qt4YBIqsqxzBA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-kvabZ0W3qM4AEd1hGMxe
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> +=C2=A0=C2=A0=C2=A0 (version "v0.0.0-20181106134648-c34317bd91bf")

No need to keep v prefixes in the Guix version.

Greetings,
Maxime.

--=-kvabZ0W3qM4AEd1hGMxe
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUVMxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7tlOAP9TdDm9m0H2Wf14kcee9JbjzNU7
HXnFqBxhGRMfaG8alwD/S8EUxOuMoj/yMq6cYOL/YRIAOjCBEGBEdUsS+fYO/gA=
=OIq7
-----END PGP SIGNATURE-----

--=-kvabZ0W3qM4AEd1hGMxe--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 22:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 18:19:46 2022
Received: from localhost ([127.0.0.1]:54173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o09SM-0005Nl-Jx
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:19:46 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:48922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o09SK-0005Nd-FX
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 18:19:45 -0400
Received: from [172.20.10.5] ([188.188.179.110])
 by xavier.telenet-ops.be with bizsmtp
 id hyKh2700D2PJVAL01yKiip; Sun, 12 Jun 2022 00:19:43 +0200
Message-ID: <8697f19cec2416aa29a11babfd43e04e04e75997.camel@HIDDEN>
Subject: Re: [bug#55903] [PATCH 03/41] gnu: Add
 go-google-golang-org-protobuf-proto.
From: Maxime Devos <maximedevos@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>, 55903 <at> debbugs.gnu.org
Date: Sun, 12 Jun 2022 00:19:41 +0200
In-Reply-To: <20220611191653.15471-3-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
 <20220611191653.15471-3-paren@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-cGVgEsSS9srjMCIDSeNh"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654985983; bh=smbBvuLhUyFCz0Fpn4DhvmA9io6CZI9hqlmv8BlgNIs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=EJLU0uwExYQGW+OZZDks480gh7LGlYnamhiDYlFAKMOSf+uir82F89DdilKqig/hJ
 1DMAjk0V4FinaFDGo97F62DJ8doTa6Eg4+YKN0Sk3jWGvaaT0opxseINWryk/mnYrF
 E90+65hLhlznnMjXyHhr7jOQ/gnLasb5FdlKFkucASscd8IZPsucDWIzeD1MMXEhrh
 3UoJ1za3B7rEL400RYC8qNbqqWbcFR5WAh40n8DTsZAQVsDX+9DqcgOg30l8fBPa8n
 LF+958+GcCWXAzpvVXCs78yHZcCsNhrFMRcc/DwX2xwzebiYDkaDtRuEBdg+9xHOsI
 4zXLVHSTIkbNw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-cGVgEsSS9srjMCIDSeNh
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(unmatched-parenthesis via Guix-patches via schreef op za 11-06-2022 om
20:16 [+0100]:
> * gnu/packages/golang.scm (go-google-golang-org-protobuf-proto): New

We already have (a variant of) this:

go-github-com-gogo-protobuf description mentions: =E2=80=98goprotobuf
compatibility=E2=80=99 (not sure if that refers to API or serialisation for=
mat
though).

Or: go-github-com-golang-protobuf-proto (looks the same for a distance
except for domain name).

Greetings,
Maxime.

--=-cGVgEsSS9srjMCIDSeNh
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqUU/RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sWSAP40BHgDFLId0yyOAWSVF85QVGPJ
bB9cdWH5KbXWKF75/wEAgKX/1+sxwTDmpYo8YmOPvQdEYuBBVMEHVyt1Sjh6FgI=
=2mJV
-----END PGP SIGNATURE-----

--=-cGVgEsSS9srjMCIDSeNh--





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 20:08:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 16:08:12 2022
Received: from localhost ([127.0.0.1]:54100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o07P2-0006I5-KF
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 16:08:12 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o07P0-0006Hv-L5
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 16:08:11 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 27A3443CB5
 for <55903 <at> debbugs.gnu.org>; Sat, 11 Jun 2022 22:08:09 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 8gXT1Y87Y4PZ for <55903 <at> debbugs.gnu.org>;
 Sat, 11 Jun 2022 22:08:08 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654978087; bh=+nKJBfZvrxswRTFBDWbX+La9DqOnPJkY0EQrRQRSnqo=;
 h=Date:Subject:From:To;
 b=AxwhRJ4LPb4PViR5MEFUE47n9i+uxie/0PuPTiH1yUlmsTQS08kYBtgqmCn9UT8SM
 VVFOA1FliCX8qDs4vbS1bA5iXrq4DSYGIe1z8nvZxPJRxOwdXpmqQUrQ4C10Jw+WCm
 gDu4alPKnR1iTj21s58gQhq0qILSpOKD1ri1YY3jOiSsmfHEIJhdcy6fEMb6lr7BCn
 ebiObkkIlohgtk5ANySd6MR8hJ/2LCa0YQeRdADpBjdP8GVD8Aj8xtH6vVH1EdgcBR
 KsyoBJlppfQCky90QwlF4BTvpFhJXzQJSMcthg3haeu74ZDQ4scatTcCD5YSM/OyRV
 NbZm4t/iv80qw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sat, 11 Jun 2022 21:08:07 +0100
Message-Id: <CKNKRPG9HR5N.YPERJQ8CNM5H@guix-aspire>
Subject: Fwd: Re: [PATCHSET] Adding aerc
From: "(" <paren@HIDDEN>
To: <55903 <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Well, looks like there was more dependencies than I expected... if only the=
re were
some way to automate making that list. I also updated the aerc package to t=
he latest
commit as of this writing :)




Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:18:14 2022
Received: from localhost ([127.0.0.1]:54042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cf-000517-PI
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:18:14 -0400
Received: from knopi.disroot.org ([178.21.23.139]:55110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cH-0004v0-2N
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:49 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 947AB43C96;
 Sat, 11 Jun 2022 21:17:48 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id BtdE9ucT3pu9; Sat, 11 Jun 2022 21:17:45 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975046; bh=YVPz8hpy7MVK5WZueGI+YRHc0hh6UfpLPwSzgVFAihk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=QLn1hlOX5N0iR4JyvLOCrLO0aqrggangh2nf7SWY3TZSS7gWAeWrIMtWVeg6/CecQ
 kOekhpo2rBTMxxcgu4R+DO3OJEwtCCD4AzLeKMGHm84ACyPd5ZXvGf0UTLH8JaKYrq
 pBwZIK3O9ewULRoiiowl5cLXY8v3LLc4gVmn0/IYy1GnIl+oJZvgHGbgSTZFF/gDQq
 g4jOGeiHOU8ed1JbOSpnRVAoXe3dhy9Hnybs4qKYCHclErU/85EhLlFv/t0vIbgo2D
 aQARHKWYSIwrzAW046TGv9Qx5u/B0RINHM7amzdCtQYZQCZJaqR3KN9FpEWASDyui3
 PZvOUzddymDkA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 41/41] gnu: Add aerc.
Date: Sat, 11 Jun 2022 20:16:53 +0100
Message-Id: <20220611191653.15471-41-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/mail.scm (aerc): New variable.
---
 gnu/packages/mail.scm | 87 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 87 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 8596d0808b..0753a7df2c 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -47,6 +47,7 @@
 ;;; Copyright © 2022 Andrew Tropin <andrew@HIDDEN>
 ;;; Copyright © 2022 Justin Veilleux <terramorpha@HIDDEN>
 ;;; Copyright © 2022 Thiago Jung Bauermann <bauermann@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4649,3 +4650,89 @@ (define-public smtpmail
 mailserver on their machine.  It enables these users to send their mail over a
 remote SMTP server.")
     (license license:gpl2+)))
+
+(define-public aerc
+  (package
+    (name "aerc")
+    (version "0.10.0-20220609074223-83e0e2638df9")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.sr.ht/~rjarry/aerc")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "16lynv7adbkqnwr9kd061v3x5ls4libhcvqby0ryj6s72ra5h27j"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "git.sr.ht/~rjarry/aerc"
+           #:install-source? #f ; end-user application
+           #:build-flags
+           #~(list "-tags=notmuch" "-ldflags"
+                   (string-append "-X main.Version="
+                                  #$(go-version->git-ref version)
+                                  " -X git.sr.ht/~rjarry/aerc/config.shareDir="
+                                  #$output "/share/aerc"))
+           #:phases
+           #~(modify-phases %standard-phases
+              (add-after 'build 'doc
+                (lambda* (#:key import-path #:allow-other-keys)
+                  (with-directory-excursion (string-append "src/" import-path)
+                    (invoke "make" "doc"))))
+              (replace 'install
+                (lambda* (#:key outputs import-path #:allow-other-keys)
+                  (let ((out (assoc-ref outputs "out")))
+                    (with-directory-excursion (string-append "src/" import-path)
+                      (invoke "make" "install"
+                              (string-append "PREFIX=" out)))))))))
+    (inputs (list go-github-com-zenhack-go-notmuch
+                  go-gopkg-in-yaml-v2
+                  go-google-golang-org-protobuf-proto
+                  go-google-golang-org-appengine
+                  go-golang-org-x-term
+                  go-golang-org-x-sys
+                  go-golang-org-x-oauth2
+                  go-golang-org-x-net
+                  go-github-com-xo-terminfo
+                  go-github-com-stretchr-testify
+                  go-github-com-riywo-loginshell
+                  go-github-com-pkg-errors
+                  go-github-com-mitchellh-go-homedir
+                  go-github-com-miolini-datacounter
+                  go-github-com-mattn-go-runewidth
+                  go-github-com-mattn-go-pointer
+                  go-github-com-mattn-go-isatty
+                  go-github-com-lucasb-eyer-go-colorful
+                  go-github-com-lithammer-fuzzysearch
+                  go-github-com-kyoh86-xdg
+                  go-github-com-imdario-mergo
+                  go-github-com-google-shlex
+                  go-github-com-golang-protobuf-proto
+                  go-github-com-go-ini-ini
+                  go-github-com-gdamore-tcell
+                  go-github-com-gatherstars-com-jwz
+                  go-github-com-fsnotify-fsnotify
+                  go-github-com-emersion-go-smtp
+                  go-github-com-emersion-go-sasl
+                  go-github-com-emersion-go-pgpmail
+                  go-github-com-emersion-go-message
+                  go-github-com-emersion-go-maildir
+                  go-github-com-emersion-go-imap-sortthread
+                  go-github-com-emersion-go-imap
+                  go-github-com-emersion-go-msgauth-authres
+                  go-github-com-ddevault-go-libvterm
+                  go-github-com-danwakefield-fnmatch
+                  go-github-com-creack-pty
+                  go-github-com-arran4-golang-ical
+                  go-github-com-protonmail-go-crypto-openpgp
+                  go-git-sr-ht--sircmpwn-getopt))
+    (native-inputs (list scdoc))
+    (home-page "https://git.sr.ht/~rjarry/aerc")
+    (synopsis "Terminal email client")
+    (description "@code{aerc} is an email client for your terminal.")
+    ;; The license given is MIT/Expat; however, linking against notmuch
+    ;; effectively makes it GPL-3.0-or-later. See this thread discussing it:
+    ;; <https://lists.sr.ht/~rjarry/aerc-devel/%3Cb5cb213a7d0c699a886971658c2476
+    ;; 1073eb2391%40disroot.org%3E>
+    (license license:gpl3+)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:54 2022
Received: from localhost ([127.0.0.1]:54013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cM-0004xG-Dk
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cE-0004uk-KF
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 27FC343CB3;
 Sat, 11 Jun 2022 21:17:46 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 5kOaq4ycE_PU; Sat, 11 Jun 2022 21:17:44 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975046; bh=OzeAKKxDqMaEHXsSc6/gT0TGXONBiByrHWo0aJ1NO2k=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=RAL2DqMMfTE8BC7pAdk2TgDNjvkuuMQgp/SYgDwzjiuRPX9Tlqzi1RLBKNFptNZJe
 gO/BDrsaW4DgE43So6Ei7Q0n9bvHP+eglHvu9pwRf0A7bbgTq+u/ceIStvN65506gR
 3cN2Qhp48qQv3E0sRLBl8r8G9WdIw9cAu8/yYH6dZ/txWwXJpimMK2G/cXznJfyQ++
 nnGydyREnVuXGCnvv0HRFxjRYqcj+HSxsGmoF2k+NQ+a4OQX5H8v5DCKAOWoaUPsQN
 jQCt4ITR0CtaFVvzWoFuGhZl5rUTYi0BBPZSRUYyCvR5giEx6Ei/2DzTmjXlKs+zg3
 EEObVKdlHkzEQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 40/41] gnu: Add go-github-com-emersion-go-msgauth-authres.
Date: Sat, 11 Jun 2022 20:16:52 +0100
Message-Id: <20220611191653.15471-40-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-msgauth-authres):
  New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 069311b221..f13b39fc88 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10748,3 +10748,29 @@ (define-public go-github-com-emersion-go-milter
      "Package milter provides an interface to implement milter mail
 filters in Go.")
     (license license:bsd-2)))
+
+(define-public go-github-com-emersion-go-msgauth-authres
+  (package
+    (name "go-github-com-emersion-go-msgauth-authres")
+    (version "0.6.6")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-msgauth")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0ds8yr4cm9wigcxg1sxc2m0wmy4z9n6gws3mj50dmf2ayij69z9j"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:unpack-path "github.com/emersion/go-msgauth"
+           #:import-path "github.com/emersion/go-msgauth/authres"))
+    (propagated-inputs (list go-golang-org-x-crypto
+                             go-github-com-emersion-go-milter
+                             go-github-com-emersion-go-message))
+    (home-page "https://github.com/emersion/go-msgauth")
+    (synopsis "Email authentication for Go")
+    (description "Package msgauth provides a Go library for authenticating
+emails.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:54 2022
Received: from localhost ([127.0.0.1]:54011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cM-0004x9-4j
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cD-0004uY-GT
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 0D49D43CB3;
 Sat, 11 Jun 2022 21:17:45 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id nFij0ygljH9c; Sat, 11 Jun 2022 21:17:43 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975046; bh=Yb9eI0XW/O7shasy3l6tQ31C70OFFB3+Gn63ghGLLp0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=GvMBMnOsg6Iv4Wc0U6ExLARCV38TuUUhuHj9L3leRMp1fRhLcWFfju/EbUO+CwHA0
 ii8VFLIqYB7lZBY/KdO0t4T+JrMUiKs5KOS8/UQ5q6GRj/BxfY7RS3RBX3t1muqQrx
 KEJh8aF8PvuBIh4TC9VmGtJyjPsnnI/vprpkcoevLstn2BVT2O5FtZxBSVFoOZjW8n
 7TpomPJZnq7dNDdsUzE2ATEvl3vT/pfM6ZKiwPVC/AI22++C6YgeOoNbHOXvwjnLy+
 Uo0XIW3CDLjgUPRci6f8UpRH+O8/08lHfEUeyD+6C54YJV4glVCwRuXaP4Oji5HdpI
 pND1bskN+YuaA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 39/41] gnu: Add go-github-com-emersion-go-milter.
Date: Sat, 11 Jun 2022 20:16:51 +0100
Message-Id: <20220611191653.15471-39-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-milter): New
  variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3ae7092f2e..069311b221 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10724,3 +10724,27 @@ (define-public go-github-com-emersion-go-maildir
      "Package maildir provides an interface to mailboxes in the Maildir
 format.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-milter
+  (package
+    (name "go-github-com-emersion-go-milter")
+    (version "0.3.3")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-milter")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "10vpry5gjz2bh9qchcx4p59zm7cc6cb6bfkii2n6vsn4svb950sa"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-milter"))
+    (propagated-inputs (list go-github-com-emersion-go-message))
+    (home-page "https://github.com/emersion/go-milter")
+    (synopsis "Milter mail filters in Go")
+    (description
+     "Package milter provides an interface to implement milter mail
+filters in Go.")
+    (license license:bsd-2)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:54 2022
Received: from localhost ([127.0.0.1]:54009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cL-0004x0-Qq
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cD-0004uX-Dj
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id EA93643CAB;
 Sat, 11 Jun 2022 21:17:44 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id LLUBAjdORmbZ; Sat, 11 Jun 2022 21:17:43 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975045; bh=glf88mfIx4e89Iq3xsallNPMS1uWO1LU4eNBcGMTw8g=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=SqCtcDLm7E3OKh/Plbe+IWcGhvG7bX+s5lTsks28qHrX192TI0xunxN4jIdzs59n8
 UrDjLC/NekY8HCu64XkZ3RjxpwNkOIITjh6ZFkbcEZDd109OBRXJV9Pv6F+/B20gVT
 HvMBRPYlVdS9nxuV8qM7lj8LhYckl7Kr/SYhOURMsAe+Pyd2563vh2sROzNcY9q9AX
 iDaIuEeQt8VnzqI3dC5Eq6NpUQHyLecI4p5HLa1Tx3OVsKOZSMIYusmHR2041qwB8I
 Md3cdTA0ZjvM9glF/lvyAd+FkcM2XX6LGtuncNaVnxokk6ddlfgwJJWFkswFtmbVRC
 DSUgrQHnOiYcw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 38/41] gnu: Add go-github-com-emersion-go-maildir.
Date: Sat, 11 Jun 2022 20:16:50 +0100
Message-Id: <20220611191653.15471-38-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-maildir): New
  variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bd22e7ff44..3ae7092f2e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10701,3 +10701,26 @@ (define-public go-github-com-google-shlex
     (description "Shlex is a simple lexer for Go that supports shell-style
 quoting, commenting, and escaping.")
     (license license:asl2.0)))
+
+(define-public go-github-com-emersion-go-maildir
+  (package
+    (name "go-github-com-emersion-go-maildir")
+    (version "0.3.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-maildir")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1rs9kbacjpcza25pmdkbm7sdm7r6gq4g44nihi9asyrvspx96zf2"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-maildir"))
+    (home-page "https://github.com/emersion/go-maildir")
+    (synopsis "Maildir interface for Go")
+    (description
+     "Package maildir provides an interface to mailboxes in the Maildir
+format.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:53 2022
Received: from localhost ([127.0.0.1]:54007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cL-0004wt-HN
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:53 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cC-0004uF-9D
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C6B7D43CB3;
 Sat, 11 Jun 2022 21:17:43 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id YXhZENORmtBD; Sat, 11 Jun 2022 21:17:42 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975045; bh=aWVnWsiG8fr1CJi92+ulJwnLBmgp4psWZdmB4nno44g=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=XbnltNshbd4lw+lwoaqj5r2BAJPDgllC13FexcthWMWPfI3iedCHnqRv0RmS42Xl2
 fxzLjUseSWnYymS5S79ZzvOCxxF6oA7NuK0bdCrLy5AeDxehRGW7Et523Wzyl9paE4
 gTuKB1dCsZEJvSDA3nAd2ktO5C0pqVQ3gJ9IrjjA3Q9gn340ujkCwBXA2tJ4HNWwPo
 cpEbSXiMrfcv78sksrHFC4a55mwNutdZHvZTTL4rfS1U5ANmkeG2NtBEA7d20Jad1l
 +cqq2+et2BgB+OIq+gQd25tnjKkY6fpmMc/12K92ZarCxqW5wNNVm2FMY8yCH7boQ9
 bIUGX1BVbVwag==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 37/41] gnu: Add go-github-com-google-shlex.
Date: Sat, 11 Jun 2022 20:16:49 +0100
Message-Id: <20220611191653.15471-37-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-google-shlex): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1e570584ab..bd22e7ff44 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10679,3 +10679,25 @@ (define-public go-github-com-lithammer-fuzzysearch
      "A speedy fuzzy matching package for Go inspired by the JavaScript
 library bevacqua/fuzzysearch.")
     (license license:expat)))
+
+(define-public go-github-com-google-shlex
+  (package
+    (name "go-github-com-google-shlex")
+    (version "v0.0.0-20181106134648-c34317bd91bf")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/google/shlex")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "00qivza4hkllfkar2vpqmyxybi0fwqipgijv61dgapq4xddxdq0r"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/google/shlex"))
+    (home-page "https://github.com/google/shlex")
+    (synopsis "Simple lexer for Go")
+    (description "Shlex is a simple lexer for Go that supports shell-style
+quoting, commenting, and escaping.")
+    (license license:asl2.0)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:53 2022
Received: from localhost ([127.0.0.1]:54005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cL-0004wm-80
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:53 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cA-0004uB-Ug
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6375243C86;
 Sat, 11 Jun 2022 21:17:42 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id CDFqbClA2J0x; Sat, 11 Jun 2022 21:17:41 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975045; bh=u/bvT7dr2cSifIktE/Y/QEITi/hen7/sQtw+HQEQ6/0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=eBtRdqZOu/x8jPCUnX5KMJVIs4Ox3qmxzTi66rZ5SRIATN/SUPb/DOUY+SZftZsAB
 Q2kygyv756nRRd9RiB4jCB7K2gou/CcURiST74LG6FFVEZEvZtWVVCZ6HsKeRa4Bug
 wIdT4HmtSN5+97ZNkR6eNuGjQO26QTGAREiv4gcFBNCqVd5vpoO346HIkzPaTuvbF+
 jvgZAx4AR4rz1rIxIowvQaPOkqQbE52fYkIpgcgrr4cBgYP5NRVvCLkRAsxt4lbbGq
 Rdm776FfUG2yAJCX26sNqkLKmDyTvTOVoWzMlnff7URRH2kmDvnl44wY6tbDFFaj/x
 xBjA9d1T7vH2Q==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 35/41] gnu: Add go-git-sr-ht--sircmpwn-getopt.
Date: Sat, 11 Jun 2022 20:16:47 +0100
Message-Id: <20220611191653.15471-35-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-git-sr-ht--sircmpwn-getopt): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d5679961a6..e564e1a972 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10628,3 +10628,26 @@ (define-public go-github-com-arran4-golang-ical
     (description
      "Package ical provides an ICS/iCalender parser and serialiser for Go.")
     (license license:asl2.0)))
+
+(define-public go-git-sr-ht--sircmpwn-getopt
+  (package
+    (name "go-git-sr-ht--sircmpwn-getopt")
+    (version "1.0.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.sr.ht/~sircmpwn/getopt")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0f9rammnmhaz21qkmz7qf76r8jlzi323g05ps3j7gwrxlw7442a6"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "git.sr.ht/~sircmpwn/getopt"))
+    (propagated-inputs (list go-github-com-stretchr-testify))
+    (home-page "https://git.sr.ht/~sircmpwn/getopt")
+    (synopsis "POSIX getopt for Go")
+    (description
+     "Package getopt is a POSIX-compatible implementation of getopt(3) for Go.")
+    (license license:bsd-3)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:53 2022
Received: from localhost ([127.0.0.1]:54003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cK-0004wf-VX
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:53 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06cC-0004uD-2G
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 94EF443CAB;
 Sat, 11 Jun 2022 21:17:43 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vAU_62UHznLq; Sat, 11 Jun 2022 21:17:42 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975045; bh=CBz7NnIz7p4ik3eO3xIki58N7Agtx0XFFquKLI41UN0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=mXj6u6+ubPe9RS1BdvoJGZVHJM7mXEAyApbciqvwcPcWkzTN0iOV9BqBqRYcPTSkE
 54VaTjy8YwhODKvEN9rsQ29TiH6S/ODqtT7BY7oes2sizQp/cWNAzzdPNJtN5fGK7K
 y4Myh+TKMNfDFr6bYo4Omx8IhJm2GtmAHGdr12sdc3cHgePafNnfZFsnjnJHDflqP2
 VSoVvC2d6djVSjkBmqTzkmAFUNZIg54OvPXRN71xPGIxOHuJJs0U5AvhJZGGbxHthK
 WzppsGmvUvnnslrWY/lcNam+iYsdo1c0giCoU/2RZeTf43NuyAd4F7qgAdiHNTiB17
 2dbQn1vYbT7kQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 36/41] gnu: Add go-github-com-lithammer-fuzzysearch.
Date: Sat, 11 Jun 2022 20:16:48 +0100
Message-Id: <20220611191653.15471-36-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-lithammer-fuzzysearch): New
  variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e564e1a972..1e570584ab 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10651,3 +10651,31 @@ (define-public go-git-sr-ht--sircmpwn-getopt
     (description
      "Package getopt is a POSIX-compatible implementation of getopt(3) for Go.")
     (license license:bsd-3)))
+
+(define-public go-github-com-lithammer-fuzzysearch
+  (package
+    (name "go-github-com-lithammer-fuzzysearch")
+    (version "1.1.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/lithammer/fuzzysearch")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "095zw3ffkp1w1lz4gby92b7vgi9zfvqc2s3rkl166a4narhv85fg"))))
+    (build-system go-build-system)
+    (propagated-inputs (list go-golang-org-x-text))
+    (arguments
+     (list #:import-path "github.com/lithammer/fuzzysearch"
+           #:tests? #f
+           #:phases
+           #~(modify-phases %standard-phases
+               (delete 'build))))
+    (home-page "https://github.com/lithammer/fuzzysearch")
+    (synopsis "Tiny and fast fuzzy search in Go")
+    (description
+     "A speedy fuzzy matching package for Go inspired by the JavaScript
+library bevacqua/fuzzysearch.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:53 2022
Received: from localhost ([127.0.0.1]:54001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cK-0004wX-Mn
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:52 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c9-0004ty-NJ
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 296EE43C86;
 Sat, 11 Jun 2022 21:17:41 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id H_hRQHOejJ0W; Sat, 11 Jun 2022 21:17:39 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975044; bh=5WdxUEMZsMLh0PcMDytsqacM+ZUK160GOaT1T50/MYw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ke5yoTKCR2yjszkj72P2QMBnDLQRo+1fuRgxTKTRazYm6o56RT38Eo6N2oPgXv6oL
 uF+6kJ8RsHu1Gh+5J0OcGDjGb5lwBOh67OMCaWfVjNsA59L0DTOJDFAAJQ/VKzSafO
 6pwqcX21bkJ/9qV2brTWP0AJFV95Bq24XGXiNWKPtAKHG1gCOtOt3OSMDeEWowX4Mk
 NUmRWkZzi55FueMWNyRF0UpLJmYVWHqGc/bHIKdBua6VCVfBMpPKLA0qJ5vF9ikUNF
 0FITY1jOhEWbrlohiX59Hh7H/AbFUMPVsfAOcdS2YXSA5dyZeqc3C7nLXOKaGy7t6X
 7XV9j87BWCaNA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 34/41] gnu: Add go-github-com-arran4-golang-ical.
Date: Sat, 11 Jun 2022 20:16:46 +0100
Message-Id: <20220611191653.15471-34-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-arran4-golang-ical): New
  variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 61a7ee8edd..d5679961a6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10600,3 +10600,31 @@ (define-public go-github-com-niemeyer-pretty
 useful during debugging, to avoid wrapping long output lines in the
 terminal.")
     (license license:expat)))
+
+(define-public go-github-com-arran4-golang-ical
+  (package
+    (name "go-github-com-arran4-golang-ical")
+    (version "0.0.0-20220517104411-fd89fefb0182")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/arran4/golang-ical")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0bxs0b5yg26liiifc0cc41l307r0wc93hp8iygv8dgpc60yzncaw"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/arran4/golang-ical"))
+    (propagated-inputs (list go-gopkg-in-yaml-v3
+                             go-gopkg-in-check-v1
+                             go-github-com-stretchr-testify
+                             go-github-com-niemeyer-pretty
+                             go-github-com-kr-text
+                             go-github-com-davecgh-go-spew))
+    (home-page "https://github.com/arran4/golang-ical")
+    (synopsis "Handle iCalenders in Go")
+    (description
+     "Package ical provides an ICS/iCalender parser and serialiser for Go.")
+    (license license:asl2.0)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:52 2022
Received: from localhost ([127.0.0.1]:53999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cK-0004wQ-An
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:52 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c9-0004tx-NC
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 297CE43CAB;
 Sat, 11 Jun 2022 21:17:41 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id A_bDuWPY3gKU; Sat, 11 Jun 2022 21:17:39 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975044; bh=BUHF7lqs6pHPf0VrWVh5kMT1q16052DjS/bIfdezjes=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Q+dphCmdUJGkuQBia3FPCy1BqcHf2GgAczwa5DeHTgz3xm582KUqg4tAtTr/mGr4S
 Z8VhO4KKQ5bbKVxaKWKRPDtH4gp9eWBGDj09Pfl2LDxQKD1plaCf0Hvxtp4G+j7INz
 CxX6HKJQuz7aJGVg5K30dyTgj+xxbJfo24n1D5zSJ3Z7bR6ZVmtSNhCxo8EhbM+Lh8
 cjKhlSp5qteK3EuFZZywWVUBYcnB+LuF/sJHpssTmvdzOI4+YAOhUEVplOGYgdf9PZ
 Ub7pKz7e9/VpUbVbY2TTDZBOHbnN2yaIqCfBmM2+IZpPOXZu+re84JdIK13N5C6kqj
 dXoF3kzzWJCWw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 33/41] gnu: Add go-github-com-niemeyer-pretty.
Date: Sat, 11 Jun 2022 20:16:45 +0100
Message-Id: <20220611191653.15471-33-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-niemeyer-pretty): New variable.
---
 gnu/packages/golang.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 00b6945e10..61a7ee8edd 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -56,6 +56,7 @@ (define-module (gnu packages golang)
   #:use-module (guix utils)
   #:use-module ((guix build utils) #:select (alist-replace))
   #:use-module (guix download)
+  #:use-module (guix gexp)
   #:use-module (guix git-download)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
@@ -10566,3 +10567,36 @@ (define-public go-github-com-emersion-go-smtp
      "Package smtp implements the Simple Mail Transfer Protocol as defined in
 @url{https://rfc-editor.org/rfc/rfc5321.html,RFC 5321}.")
     (license license:expat)))
+
+(define-public go-github-com-niemeyer-pretty
+  (package
+    (name "go-github-com-niemeyer-pretty")
+    (version "0.0.0-20200227124842-a10e7caefd8e")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/niemeyer/pretty")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1jmazh4xzaa3v6g46hz60q2z7nmqs9l9cxdzmmscn3kbcs2znq4v"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/niemeyer/pretty"
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'int-to-string-with-rune
+                 (lambda* (#:key import-path #:allow-other-keys)
+                   (with-directory-excursion (string-append "src/" import-path)
+                     (substitute* "formatter.go"
+                       (("s \\+= string\\(i\\)")
+                        "s += string(rune(i))"))))))))
+    (propagated-inputs (list go-github-com-kr-text))
+    (home-page "https://github.com/niemeyer/pretty")
+    (synopsis "Pretty-print Go values")
+    (description
+     "Package pretty provides pretty-printing for Go values.  This is
+useful during debugging, to avoid wrapping long output lines in the
+terminal.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:52 2022
Received: from localhost ([127.0.0.1]:53997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cJ-0004wJ-Vz
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:52 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c8-0004tj-Ad
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D42AB43CAB;
 Sat, 11 Jun 2022 21:17:39 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id B8YXt3eMLtqG; Sat, 11 Jun 2022 21:17:38 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975044; bh=G7M6F6UY2nh+k8ykLCGSQ/oS+7uSEePuEkfea4OHo1k=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=iNUTWxxq9cossSBN45844KvMuyLpTeQoNVs2iJOwR+26pA8DlwSmG6nRxx6+wduzC
 9PYmRw/jG+BRLxLNMpqmUub9Bg/4Fvil1p4fbnoOz6pWxnYtwZcn8o5p9cWOBtsIm2
 jP86AF/1EbIu8sG1sMSjVNfBpPQoW/0c49LpLZ8EfX+PYe+mk1IsM/CdbxC1GRntW/
 l3+FUSNTbK909xQ42zOGpSzCoFSDDrtdec3KLcQUNI8s5wz1Tv3CHCKjR/tXjJ70vC
 vBL0APbYsTx9f927idI0QrnFseIKYpZqF8I4kVcZ87ZDVEa/LcOkLoUaYyArcAzbVi
 RJA0Di20iTslg==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 32/41] gnu: Add go-github-com-emersion-go-smtp.
Date: Sat, 11 Jun 2022 20:16:44 +0100
Message-Id: <20220611191653.15471-32-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-smtp): New
  variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ab34d02190..00b6945e10 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10542,3 +10542,27 @@ (define-public go-github-com-emersion-go-pgpmail
     (description
      "Package pgpmail implements PGP encryption for e-mail messages.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-smtp
+  (package
+    (name "go-github-com-emersion-go-smtp")
+    (version "0.15.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-smtp")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1vhc0vpjd4yhxk6wrh01sdpi7nprjn98s46yy82xwlkm0cskl0h7"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-smtp"))
+    (propagated-inputs (list go-github-com-emersion-go-sasl))
+    (home-page "https://github.com/emersion/go-smtp")
+    (synopsis "SMTP implementation for Go")
+    (description
+     "Package smtp implements the Simple Mail Transfer Protocol as defined in
+@url{https://rfc-editor.org/rfc/rfc5321.html,RFC 5321}.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:52 2022
Received: from localhost ([127.0.0.1]:53995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cJ-0004wC-Mm
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c8-0004ti-AU
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D03C543C86;
 Sat, 11 Jun 2022 21:17:39 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 720z1fF1YrA5; Sat, 11 Jun 2022 21:17:38 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975044; bh=wKEtmcRTqXqKYM1NwlBgjJYVH0jBipBaLv4BA+BGWOM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=BNWO7KTTACf/G0IF9e6zed7A01V1W81AsOv+NXQCyhV4tiILJF7tOoutbLXCWBBuW
 jH8jGCTL3lt9WR61opo7RL+Lx+97j4yuIZkXnb2bHVtcg0dIBrDfQTifaNFdoVNmdM
 vJOU4Bh6JZ6XkViSS7lYV05mfyVQ5Mex7ulSf6M7ZN7Gs3NRqoeDRg3QuKe2mbUcPc
 xveAHrA4FaucRQREdaGJY9UVUhjYMOF6oQy6b/SZGVTnZSC04q9ubRwrQMUA6gUJv/
 NcuzqfdgcDPL2szpsYoFLNnvPMkpYoUo48bptG0XpMqQFpcm4oBLzbB1owqHa+DotC
 74a3Qm3YTD6MA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 31/41] gnu: Add go-github-com-emersion-go-pgpmail.
Date: Sat, 11 Jun 2022 20:16:43 +0100
Message-Id: <20220611191653.15471-31-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-pgpmail): New
  variable.
---
 gnu/packages/golang.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0b157e4e5d..ab34d02190 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10508,3 +10508,37 @@ (define-public go-github-com-protonmail-go-crypto-ocb
      (substitute-keyword-arguments (package-arguments
                                     go-github-com-protonmail-go-crypto-openpgp)
        ((#:import-path _) "github.com/ProtonMail/go-crypto/ocb")))))
+
+(define-public go-github-com-emersion-go-pgpmail
+  (package
+    (name "go-github-com-emersion-go-pgpmail")
+    (version "0.2.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-pgpmail")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0ar26b0apw5bxn58qfn1a79cxigbmrqm1irh1rb7x57fydihc7wm"))))
+    (build-system go-build-system)
+    (arguments
+     (list ;; tests don't support our version of protonmail/go-crypto; see
+           ;; <https://github.com/emersion/go-pgpmail/issues/12>
+           #:tests? #f
+           #:import-path "github.com/emersion/go-pgpmail"))
+    (propagated-inputs (list go-golang-org-x-text
+                             go-golang-org-x-crypto
+                             go-github-com-emersion-go-message
+                             go-github-com-protonmail-go-crypto-bitcurves
+                             go-github-com-protonmail-go-crypto-brainpool
+                             go-github-com-protonmail-go-crypto-internal-byteutil
+                             go-github-com-protonmail-go-crypto-eax
+                             go-github-com-protonmail-go-crypto-ocb
+                             go-github-com-protonmail-go-crypto-openpgp))
+    (home-page "https://github.com/emersion/go-pgpmail")
+    (synopsis "PGP mail encryption for Go")
+    (description
+     "Package pgpmail implements PGP encryption for e-mail messages.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:51 2022
Received: from localhost ([127.0.0.1]:53993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cJ-0004w4-Dz
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c7-0004tW-1b
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7CB4943CAB;
 Sat, 11 Jun 2022 21:17:38 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id tqBpIXjlOFvM; Sat, 11 Jun 2022 21:17:37 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975043; bh=BYgFimwPomGBGJGdwE1AbSV6BGiPo/3UGgeY5ahNFkY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dqrBLjZa73AUaGc322MFg/p9++NJe0GGzt7XMTN72aiDzCJqiqfq16MrWPvfdbbw+
 2paccxv1B6zgQ+T4n+khymZyDYRQp/HKUN1uTQZPw93Yzp5weZKAZ+p5PNxeT4hDk1
 YRnUHy7ExSVAPI/fixJfsssW9eaUbHDbdQVZ+uBsTMyULR38yGcngPH/1XhcEvULnh
 lIOy63sUCbhsAMp7jKA2FMdQVyos3kGq7YftZMFTQi/xN07Qq3G7VG64/CmNcxmKrt
 ggYiwr0+ICyFFHarCXsnbUPkJMSDe2tWbYt1waKb0sgGtRq+pHPsiAfyV1xVkLKnEx
 3tyxHTDhbCx6w==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 30/41] gnu: Add go-github-com-protonmail-go-crypto-ocb.
Date: Sat, 11 Jun 2022 20:16:42 +0100
Message-Id: <20220611191653.15471-30-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-protonmail-go-crypto-ocb): New
  variable.
---
 gnu/packages/golang.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d3604854f7..0b157e4e5d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10499,3 +10499,12 @@ (define-public go-github-com-protonmail-go-crypto-internal-byteutil
      (substitute-keyword-arguments (package-arguments
                                     go-github-com-protonmail-go-crypto-openpgp)
        ((#:import-path _) "github.com/ProtonMail/go-crypto/internal/byteutil")))))
+
+(define-public go-github-com-protonmail-go-crypto-ocb
+  (package
+    (inherit go-github-com-protonmail-go-crypto-openpgp)
+    (name "go-github-com-protonmail-go-crypto-ocb")
+    (arguments
+     (substitute-keyword-arguments (package-arguments
+                                    go-github-com-protonmail-go-crypto-openpgp)
+       ((#:import-path _) "github.com/ProtonMail/go-crypto/ocb")))))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:51 2022
Received: from localhost ([127.0.0.1]:53991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cJ-0004vx-5k
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c6-0004tV-Vc
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7C64643C74;
 Sat, 11 Jun 2022 21:17:38 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 7QWRdoE0ilMB; Sat, 11 Jun 2022 21:17:37 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975043; bh=2D6QlLOloGhp6fXd4mVfW4IIri7EEBc1ByJHI3iqUi0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Xcj0Lvnl39bsdT9cJ19zETbOp+hNdYfHd6Fbbkk2nKo07RuKIaP2S9ZNUGQqiL+yE
 4QMcIoPXKzvTD0MLkU2j7T4uUy3wmQ3IB5WI3hxbCmEDtGmDWelp/mjpvgza0cTXav
 rckPelC23PKJGY9br8rsgnYWjM78CXLLSa2hh7cRmz9aM84lymOHIj5kDQFYOe6MEw
 tRhdHtvj3hxkTpW+v+24SPUvrB7LjBq/oZzNI6kxc77FSSIq5bRPWvLxW6+e4OqR5/
 XIicNzFbLdCBIG5u4bUEDZeeQBGqPxT2Vu/fH1Qxd0YG2Rg2dAkzqwINl6nykdvc/C
 Itjv7hZtpxE9A==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 29/41] gnu: Add
 go-github-com-protonmail-go-crypto-internal-byteutil.
Date: Sat, 11 Jun 2022 20:16:41 +0100
Message-Id: <20220611191653.15471-29-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-protonmail-go-crypto-internal-byteutil):
  New variable.
---
 gnu/packages/golang.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d93e39119f..d3604854f7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10490,3 +10490,12 @@ (define-public go-github-com-protonmail-go-crypto-eax
      (substitute-keyword-arguments (package-arguments
                                     go-github-com-protonmail-go-crypto-openpgp)
        ((#:import-path _) "github.com/ProtonMail/go-crypto/eax")))))
+
+(define-public go-github-com-protonmail-go-crypto-internal-byteutil
+  (package
+    (inherit go-github-com-protonmail-go-crypto-openpgp)
+    (name "go-github-com-protonmail-go-crypto-internal-byteutil")
+    (arguments
+     (substitute-keyword-arguments (package-arguments
+                                    go-github-com-protonmail-go-crypto-openpgp)
+       ((#:import-path _) "github.com/ProtonMail/go-crypto/internal/byteutil")))))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:51 2022
Received: from localhost ([127.0.0.1]:53989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cI-0004vq-TM
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c5-0004tJ-VY
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 665D543C74;
 Sat, 11 Jun 2022 21:17:37 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vtLrkwG_Ht8H; Sat, 11 Jun 2022 21:17:36 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975043; bh=l4ZOkEq5cAQpdY77/h8IZGMksITVQgD7FmRDKY5k1mQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=XT0pOhhilb/XzTChE7ZO+Ry3ZcCBjQA06zCbbw7GbUWhpGs4jKUelh7ErA2viTIc6
 UxsnrIjquwNWo8PAoWq6Nj+JL3PuDXwEmT7KWu3FG09sQr2Wb7KVHnaeYUlrnWTuhI
 kcyHGbBUiXpNhz49t3pCIGZ61vW1qgd4MGDB4pwpGnxyuKTFKeP6s0HvGHbhpZH+hs
 lXhrnVgnDQ4AsUkjOyK5mlU/oOOGs7v4qHOXNOBy/lFwt0PVDUDMxgKYqNLw6zHK/p
 d5qmzc2x1Bmck7oXDjP1rb4ljEz6+9RIwar2chQ6DOQVvYvRWJsxEhQXFTxfCqO8Qi
 B47236aTYZjug==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 27/41] gnu: Add go-github-com-protonmail-go-crypto-brainpool.
Date: Sat, 11 Jun 2022 20:16:39 +0100
Message-Id: <20220611191653.15471-27-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-protonmail-go-crypto-brainpool):
  New variable.
---
 gnu/packages/golang.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9286e26e5a..e2b3388e1d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10472,3 +10472,12 @@ (define-public go-github-com-protonmail-go-crypto-bitcurves
      (substitute-keyword-arguments (package-arguments
                                     go-github-com-protonmail-go-crypto-openpgp)
        ((#:import-path _) "github.com/ProtonMail/go-crypto/bitcurves")))))
+
+(define-public go-github-com-protonmail-go-crypto-brainpool
+  (package
+    (inherit go-github-com-protonmail-go-crypto-openpgp)
+    (name "go-github-com-protonmail-go-crypto-brainpool")
+    (arguments
+     (substitute-keyword-arguments (package-arguments
+                                    go-github-com-protonmail-go-crypto-openpgp)
+       ((#:import-path _) "github.com/ProtonMail/go-crypto/brainpool")))))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:50 2022
Received: from localhost ([127.0.0.1]:53987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cI-0004vj-Ki
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:50 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c5-0004tI-TU
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6D4F043CAB;
 Sat, 11 Jun 2022 21:17:37 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id bQV2NUdQaldW; Sat, 11 Jun 2022 21:17:36 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975043; bh=+pPOXNjxAWt7yUBi4o0goiLO4nNyc4IxniJJ/vc82jw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=AEifsUhh15ru3ggrapxDQSkAu01gVMx5um3QdNVeEP6Ee2MNdXTAI54AJrHlC8DFi
 4pa3Yk+Cbz+5qOkSHvjf7Fr0dthuWw2di38ZVpuakP1faT8haRuUcl/kltnButmPa+
 HvvJ4kkPl2mGp19SdS64unYieTY9rwKdp7BMdvC+uRC5+vv7sfoxUtwTtabx0VVbcO
 +aF/QwXVj9SvTXVXcK2nEoTAjP6IeypR46HpDoJ4R2SOsttvWGrOxVNjF8JP8E6Jq0
 newAK7IVfo4iP/8qhXtNKwWA1nnfBRuybMAOOu5lKJJs8vVoNc7WiQXbZxmwaIw20r
 AxIjBILsTkvUw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 28/41] gnu: Add go-github-com-go-crypto-eax.
Date: Sat, 11 Jun 2022 20:16:40 +0100
Message-Id: <20220611191653.15471-28-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-crypto-eax): New variable.
---
 gnu/packages/golang.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2b3388e1d..d93e39119f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10481,3 +10481,12 @@ (define-public go-github-com-protonmail-go-crypto-brainpool
      (substitute-keyword-arguments (package-arguments
                                     go-github-com-protonmail-go-crypto-openpgp)
        ((#:import-path _) "github.com/ProtonMail/go-crypto/brainpool")))))
+
+(define-public go-github-com-protonmail-go-crypto-eax
+  (package
+    (inherit go-github-com-protonmail-go-crypto-openpgp)
+    (name "go-github-com-protonmail-go-crypto-eax")
+    (arguments
+     (substitute-keyword-arguments (package-arguments
+                                    go-github-com-protonmail-go-crypto-openpgp)
+       ((#:import-path _) "github.com/ProtonMail/go-crypto/eax")))))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:50 2022
Received: from localhost ([127.0.0.1]:53985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cI-0004vb-8D
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:50 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c4-0004sr-QX
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 535CA43CAB;
 Sat, 11 Jun 2022 21:17:36 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FZVsanp-NM_z; Sat, 11 Jun 2022 21:17:35 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975043; bh=UquwWrenzUTm+2PyLt9n806rIOUpZf2DIrrDN3G2A28=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dIlOQbGOyRL769DJs1tjd93g+D0r5kNQBUxN8NeTCu6XYWdWvCOQOuprqEzXHEgQK
 WwfNLizsQKgGEnKfyQXXuzomV6U+PzEqdGnVev4PZN7vcPTdF6pJLIf/YGB0TtnN/J
 WDRw/n2YVS5azrSGgTVBSgzwt0eoTdm350U3N1B/R4Csg0o5vWlO9v8BvUP2A4k3dn
 zVJx7DnLVA2e41V9s7kZ/AHsw650L5WiaKE7A3gTlwRtVnG/YFDWZyNPWF5kCDoH5z
 2rNfrbMqNmTjr4FVfUpnQ0ZDYkiQEfSgLnRNnyA9wPgY5K/GUx6Riv71s17K02KHiQ
 AZ+E2IYIa7fPA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 26/41] gnu: Add go-github-com-protonmail-go-crypto-bitcurves.
Date: Sat, 11 Jun 2022 20:16:38 +0100
Message-Id: <20220611191653.15471-26-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/golang.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 06d635b03b..9286e26e5a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10463,3 +10463,12 @@ (define-public go-github-com-protonmail-go-crypto-openpgp
 is completely backwards compatible with
 @url{golang.org/x/crypto,the official package}.")
     (license license:bsd-3)))
+
+(define-public go-github-com-protonmail-go-crypto-bitcurves
+  (package
+    (inherit go-github-com-protonmail-go-crypto-openpgp)
+    (name "go-github-com-protonmail-go-crypto-bitcurves")
+    (arguments
+     (substitute-keyword-arguments (package-arguments
+                                    go-github-com-protonmail-go-crypto-openpgp)
+       ((#:import-path _) "github.com/ProtonMail/go-crypto/bitcurves")))))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:50 2022
Received: from localhost ([127.0.0.1]:53983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cH-0004vP-Mn
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:50 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c3-0004rs-9f
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 255CB43CAB;
 Sat, 11 Jun 2022 21:17:35 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Nowa02kLb-Xs; Sat, 11 Jun 2022 21:17:33 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975042; bh=SlBkup/pcTl+UvaCaFhzHXk4puIdgIjc9YRKJlvOSLM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=BDalRq1e6EhHW0yI9qolIxw6nVI1HA0By+SYRYUa6ENs0FGns9eks8BFtoLosvS0Q
 WRYLEdvwjIQHpYMXlOrce2iamwb6p3brxUzl6+jAJnK5CeiSd+EAqZD0uZMpcp4lsP
 wNI5wHmYqwC+ZGf/1KZCTkn3pNrB+Kz4uxIlep+SUp8L1figfmC2F+kHSxPMd5SBSq
 YKOpCfGJrQAnSsxE3CPB9R0cvcWBmJmU1nyNXeb91s6QIIDAXF7eSS9LkCwoW/Plcr
 vRx9vIS5f9hYSXj9XZ/cVqE7acwyILNrEW91cgPfcZtVfVLwbzJwIiiLYYN2N+f5Hj
 XsptChumFGMRw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 25/41] gnu: Add go-github-com-protonmail-go-crypto-openpgp.
Date: Sat, 11 Jun 2022 20:16:37 +0100
Message-Id: <20220611191653.15471-25-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-protonmail-go-crypto-openpgp):
  New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b66ded6f61..06d635b03b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10435,3 +10435,31 @@ (define-public go-github-com-emersion-go-imap-sortthread
     (synopsis "SORT and THREAD for go-imap")
     (description "Package sortthread implements SORT and THREAD for go-imap.")
     (license license:expat)))
+
+(define-public go-github-com-protonmail-go-crypto-openpgp
+  (package
+    (name "go-github-com-protonmail-go-crypto-openpgp")
+    (version "0.0.0-20220517143526-88bb52951d5b")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/ProtonMail/go-crypto")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "15dsjxsgr6sbfi651kav3vcfpkkzfb383rahasff4fvb6hwfjr1l"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/ProtonMail/go-crypto/openpgp"
+           #:unpack-path "github.com/ProtonMail/go-crypto"))
+    (propagated-inputs (list go-golang-org-x-crypto))
+    (home-page "https://github.com/ProtonMail/go-crypto")
+    (synopsis "Fork of golang.org/x/crypto with up-to-date OpenPGP
+implementation")
+    (description
+     "Package crypto provides cryptography for Go.  This version of the
+package is a fork that adds a more up-to-date OpenPGP implementation.  It
+is completely backwards compatible with
+@url{golang.org/x/crypto,the official package}.")
+    (license license:bsd-3)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:49 2022
Received: from localhost ([127.0.0.1]:53981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cH-0004vG-AP
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c2-0004rd-MO
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:35 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7567A43C74;
 Sat, 11 Jun 2022 21:17:34 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yZSL-Bxbnu3g; Sat, 11 Jun 2022 21:17:33 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975042; bh=0uFYttNtK86Y1Pi0WP/Xsysqw83jp/PJueqLmIJkyMk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=bQXeWetlltihFY2l35Qo2duyn0cW3fPa2o8U9aHbn4K5kekuX6zCHnDU9O3XiEAS1
 NWQVyfmsrRV+j2CnxQU86gpMFJhtIvTkL3gm7X+rFI1GJYfS22WgbE6XMaYAcXfgtN
 OqkwHyiAQLxEN1Yrhg08UtFat5Cv9eUAUHB+Yej//xNFVuMG5yd6sxRN6K/xCiGC3Q
 Hzg8DEGar1oB+jHcbvw1cKUm/shlB8IYScjl3OgHA0FBELO6qVBYj9i9EVr67gh+An
 h2x9B6ys13dXBA/3xxdO3RgbIOj0QigXY/huDf1fWTr5bR8R7o3HRW+wBrMwvxxLu2
 PsVwon9VmH0tA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 24/41] gnu: Add go-github-com-emersion-go-imap-sortthread.
Date: Sat, 11 Jun 2022 20:16:36 +0100
Message-Id: <20220611191653.15471-24-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-imap-sortthread):
  New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f579b63fb0..b66ded6f61 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10411,3 +10411,27 @@ (define-public go-github-com-emersion-go-imap
     (description "This package provides an IMAP4rev1 library written in
 Go.  It can be used to build IMAP clients and servers.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-imap-sortthread
+  (package
+    (name "go-github-com-emersion-go-imap-sortthread")
+    (version "1.2.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-imap-sortthread")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1cfbgz1l5angnj52v9pxwggai2shx0h78ffcp7j4r4lr7lzflnwz"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-imap-sortthread"))
+    (propagated-inputs (list go-golang-org-x-text
+                             go-github-com-emersion-go-sasl
+                             go-github-com-emersion-go-imap))
+    (home-page "https://github.com/emersion/go-imap-sortthread")
+    (synopsis "SORT and THREAD for go-imap")
+    (description "Package sortthread implements SORT and THREAD for go-imap.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:49 2022
Received: from localhost ([127.0.0.1]:53978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cH-0004v9-1s
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c2-0004rs-Cd
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:34 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BAAF843CA8;
 Sat, 11 Jun 2022 21:17:33 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sUplhNExfG4J; Sat, 11 Jun 2022 21:17:32 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975042; bh=5t+uLHqb0vFFpTr3V6ct+jYWoi4WLEVLZ70UMfdzMYs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=bwkHIsQ7TPVe0+mB5Mk5vw879rVmoNSFyLlgUTOBbd60Ttg6VuRj43b5DSOpEKbY0
 VC/c+/Q3gYlhlDj9CIk/QRMxl1+PxJCfbGVUfUuBJQvQ1Px2ae7/LE42n+a+E+H+Oy
 rOaA6I66jEja1nyKk11R9CzETFolZHH3SsgGbdAhY1DA35oQwhkSy0UtJzvRmfZpHV
 tLCkiRXRCp0J6yaJJNsVsV7EBBadcsgyurjECXrKWesYu9A0t3rLop5wLVIqdrPIRh
 S5TSBA/WG4NcWgqduWvwxml23kOis0VQWjxF5CmaCyvcfa1Cw3kEx5TTqIbXQBs1+B
 r7CssL3tiVrpw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 23/41] gnu: Add go-github-com-emersion-go-imap.
Date: Sat, 11 Jun 2022 20:16:35 +0100
Message-Id: <20220611191653.15471-23-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-imap): New
  variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bf4be69ae5..f579b63fb0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10386,3 +10386,28 @@ (define-public go-github-com-emersion-go-sasl
     (synopsis "SASL library written in Go")
     (description "This package provides a SASL library written in Go.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-imap
+  (package
+    (name "go-github-com-emersion-go-imap")
+    (version "1.2.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-imap")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0ak2ysvfcc9w0g1070msis8x9sh6gzvf0nd65ks594siwbmqddw8"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-imap"))
+    (propagated-inputs (list go-golang-org-x-text
+                             go-github-com-emersion-go-sasl
+                             go-github-com-emersion-go-message))
+    (home-page "https://github.com/emersion/go-imap")
+    (synopsis "IMAP4rev1 library written in Go")
+    (description "This package provides an IMAP4rev1 library written in
+Go.  It can be used to build IMAP clients and servers.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:49 2022
Received: from localhost ([127.0.0.1]:53976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cG-0004v2-QO
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c1-0004rd-My
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:34 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 298E043C74;
 Sat, 11 Jun 2022 21:17:33 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id jIxbKIFZ5rMw; Sat, 11 Jun 2022 21:17:31 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975042; bh=ozNqDT5esmZew/HHSKNiYk+M3UCJnvuRAuZwtewmBGw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=iokyze8jL1CT5bH0gs9V7xjYGYsIIrLYrgyZjqN5zBIV1yKxugmhAQnEzaCyHUFnn
 G0Q3iQb4iIahkPwVxZIzpHTQIxmsAqxaGcWuz8zVATQ060BQ9wJpPDrzuKExz3jXgK
 YWbSF96IgUztPYGRuyRqq4m6s5mIzbTetSYP5AWD84pABvNWAcuFdxQxXDfWdHB5G3
 gl95FgWs2gmr/bKSJcBVZ49RCJaqx5PA1wyLh2Nv8ggSsEvCIW3o6PA4SNhyMacNre
 /0DOuNfRKGsAOAPHiriSvLbLamncdn/cGKuITK3/ceqo2XTvtlEr64P9/Ypc9/2Jix
 oETVbKXy3rFzg==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 22/41] gnu: Add go-github-com-emersion-go-sasl.
Date: Sat, 11 Jun 2022 20:16:34 +0100
Message-Id: <20220611191653.15471-22-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-sasl): New
  variable.
---
 gnu/packages/golang.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 883dfcbd20..bf4be69ae5 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10365,3 +10365,24 @@ (define-public go-github-com-emersion-go-message
     (description
      "Package message implements reading and writing multipurpose messages.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-sasl
+  (package
+    (name "go-github-com-emersion-go-sasl")
+    (version "0.0.0-20211008083017-0b9dcfb154ac")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-sasl")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1cbf86wkqrdinfydndgdlnayg4a5mg3d4vqra377j2sfkg7wj0hs"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-sasl"))
+    (home-page "https://github.com/emersion/go-sasl")
+    (synopsis "SASL library written in Go")
+    (description "This package provides a SASL library written in Go.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:48 2022
Received: from localhost ([127.0.0.1]:53974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cG-0004uu-Hl
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c0-0004rQ-Vc
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7CDF043CA8;
 Sat, 11 Jun 2022 21:17:32 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id AvAbLn8pWmvF; Sat, 11 Jun 2022 21:17:31 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975041; bh=jdxGpqHYqVxsJwyr40wscJo5wSEUqNR5F3JEyQ052yU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=H1L3Jf0t6Wd0v4Jg7R1fUQz0zWtb1OslWS9pw9bOFJYpXkKYWPOjehj08Ex7Y4eeE
 sTOU74SCN2We6Ad6ycA2UH+m8XYcJ/NVbf+02ciWBkw/P1/qY/b9PXI6sGl0t9Q0+4
 t5fgDLo2j1KKvZAcM8xLKq/MPZKzrUpsCuwzVP4QWwL0C+TX6iN8YbAFuVVxbNyS/8
 Kf5+/sRSFXgLK99j6rSAm1u7ffuwDaA0yGAxHrJUQMT+lobXu1y2JOSiNAlpn5Do6o
 00wNDfTr+Szs4cr4/irJ3OMDVk8D8yjXRIjHmYBbxVPXowxA9cugjC3CVs8bTE3aw8
 V523B2kE+dAVg==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 21/41] gnu: Add go-github-com-emersion-go-message.
Date: Sat, 11 Jun 2022 20:16:33 +0100
Message-Id: <20220611191653.15471-21-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-message): New
  variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8a5c566a08..883dfcbd20 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10341,3 +10341,27 @@ (define-public go-github-com-emersion-go-textwrapper
      "This package provides a writer that wraps long text lines to a specified
 length.")
     (license license:expat)))
+
+(define-public go-github-com-emersion-go-message
+  (package
+    (name "go-github-com-emersion-go-message")
+    (version "0.16.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-message")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1j5qdhsna28xcs843zsiccw700rld5hin466dl0n3a0ax1w13ay0"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-message"))
+    (propagated-inputs (list go-golang-org-x-text
+                             go-github-com-emersion-go-textwrapper))
+    (home-page "https://github.com/emersion/go-message")
+    (synopsis "Multipurpose messages in Go")
+    (description
+     "Package message implements reading and writing multipurpose messages.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:48 2022
Received: from localhost ([127.0.0.1]:53972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06cG-0004ur-9o
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06c0-0004rP-FV
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E3D4643C74;
 Sat, 11 Jun 2022 21:17:31 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id UtaAkv89Y-Rx; Sat, 11 Jun 2022 21:17:30 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975041; bh=DCxmc6Lg23id1PkzKlyAIjG8IFyh9n18OMoIexEctEg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=QB0nWZjVLFg8RowC424UCt/HdAQgu4d8vqs9Wj/3JTH2V/nSi+ujfzeJwA5MQaGt0
 HPiahBNgLk2Ng9k87Xxy2YcMFybDzGhp3J+X1mIVLKgjAOjCqgcVltTJst8BZpaGtp
 svM+X497bB7OdbPKE+jUqzlOX6FswNu4V6e90GYgGygxBGTJHqzqTqb1YmYlHS7ojS
 kDzBzsz7Ortf6dGZPnWt8Ljkd70Yj2svHP461Id0KHHlJZhZZRTxzRmenrzeWenyJ+
 vZUu65Hg1KS0pZBiUuMOBQ6Wf9s4KGMW36qgqHjgobcI1cFYQLrCYCSEr4jHkSP0LZ
 zIorIbwnYxP5g==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 20/41] gnu: Add go-github-com-emersion-go-textwrapper.
Date: Sat, 11 Jun 2022 20:16:32 +0100
Message-Id: <20220611191653.15471-20-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-textwrapper): New
  variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 14fc8385d7..8a5c566a08 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10318,3 +10318,26 @@ (define-public go-github-com-gatherstars-com-jwz
 created by Jamie Zawinski and explained by him at
 @url{https://www.jwz.org/doc/threading.html,https://www.jwz.org/doc/threading.html}.")
     (license license:asl2.0)))
+
+(define-public go-github-com-emersion-go-textwrapper
+  (package
+    (name "go-github-com-emersion-go-textwrapper")
+    (version "0.0.0-20200911093747-65d896831594")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/go-textwrapper")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1lh9d7zvj6gm1rr6sv5xlagklgx9d666hq5srd37a4sdcjkbiqmq"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/emersion/go-textwrapper"))
+    (home-page "https://github.com/emersion/go-textwrapper")
+    (synopsis "Text-wrapping writer for Go")
+    (description
+     "This package provides a writer that wraps long text lines to a specified
+length.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:37 2022
Received: from localhost ([127.0.0.1]:53955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c4-0004t0-U9
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:37 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06by-0004rG-Vs
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:31 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7EF0543CA8;
 Sat, 11 Jun 2022 21:17:30 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ZllQKHqmJWxl; Sat, 11 Jun 2022 21:17:29 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975041; bh=o+RjzBZNWES1PhVp7x7EMoKLf3oC+73hr+mK+WLJ1Nc=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=BVDgMCtM+KWhgO3M4InirisVosjmCf30A2cND0canvewsmp8GNiBUBGyzVEyty5Vo
 2bjduWzhzEkmkdwwyp3fLfQ4mMPSeBtSsvE7ku+HtUBZyEuntfONCt9R+RpOq4SsoT
 M3/OrsKQiuAMreSQot9wa8eOSfwgLsmmV4USiQlAhaGw66Tl8fNcZiBuXidiERHE9P
 v7UcOVoPHbO+fQd1+WjlUOtHriNCy/FPBw1YMCtKI0zPzY9ayfKZoSr4agcucC1j4t
 pJbnCly6EI+/fo2U7UAly3XMupRTDbKVW8Y08EBBCTBcOafXixzWeSYiNDKT7kWgdA
 DQhEELbGbbL0A==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 19/41] gnu: Add go-github-com-gatherstars-com-jwz.
Date: Sat, 11 Jun 2022 20:16:31 +0100
Message-Id: <20220611191653.15471-19-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-gatherstars-com-jwz): New
  variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e16af75883..14fc8385d7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10291,3 +10291,30 @@ (define-public go-github-com-jhillyerd-enmime
 It's built on top of Go's included mime/multipart support where possible,
 but is geared towards parsing MIME encoded emails.")
     (license license:expat)))
+
+(define-public go-github-com-gatherstars-com-jwz
+  (package
+    (name "go-github-com-gatherstars-com-jwz")
+    (version "1.3.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/gatherstars-com/jwz")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1h37h5w139d3rhvp1n7kz2jm5zhk4pjzf3sip04v48nphkika60c"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/gatherstars-com/jwz"))
+    (propagated-inputs (list go-github-com-rivo-tview
+                             go-github-com-jhillyerd-enmime
+                             go-github-com-gdamore-tcell-v2))
+    (home-page "https://github.com/gatherstars-com/jwz")
+    (synopsis "JWZ's email threading algorithm implemented in Go")
+    (description
+     "Package jwz is an implementation of the email threading algorithm
+created by Jamie Zawinski and explained by him at
+@url{https://www.jwz.org/doc/threading.html,https://www.jwz.org/doc/threading.html}.")
+    (license license:asl2.0)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:36 2022
Received: from localhost ([127.0.0.1]:53953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c4-0004st-Ii
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:36 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bx-0004r3-M2
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3595B43CBC;
 Sat, 11 Jun 2022 21:17:29 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id VxZCTKXL4FZX; Sat, 11 Jun 2022 21:17:27 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975041; bh=3xaX75YxHUNh6tvXUHC1wA8AL82+DJodrDmZj0A2tM0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=kDw/NKkd1rT84+LMXed6xrtCFJckZ6UZJihPqxhrtuhOlFmiH46stxesSYHmJ9mAV
 P2zAE1p8Oi8PowYvUmSmaO/9aYSyfR2lRG/YJ66uh27e5J61XV+pZbqXciOh6+5V9Q
 GPPXWDBGsydBCd580rXAdfspaupjGEvVeh29mfGUirUzQpQ6GhgqrTxAW6Iyg/joEe
 lZ0/WNp9SQ0X6ouwhyQNNnsjK4XYAL+ut72F31caYLkFUSqKxxAu+/hHbHL2BG8e3x
 HMUtdQUC7+yMj9jlJ+igwraQKPiHxjHNqOqV7t+s+j/tJek6oye9uB0nQkU14xA5ri
 +h7BXWZOsLWvw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 18/41] gnu: Add go-github-com-jhillyerd-enmime.
Date: Sat, 11 Jun 2022 20:16:30 +0100
Message-Id: <20220611191653.15471-18-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-jhillyerd-enmime): New
  variable.
---
 gnu/packages/golang.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 34cf0de952..e16af75883 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10255,3 +10255,39 @@ (define-public go-github-com-cention-sany-utf7
      "Package utf7 provides support for the obsolete UTF-7 text encoding
 in Go.")
     (license license:bsd-3)))
+
+(define-public go-github-com-jhillyerd-enmime
+  (package
+    (name "go-github-com-jhillyerd-enmime")
+    (version "0.9.4")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/jhillyerd/enmime")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "124dqm598phbmalyx2gmxk201z9kq4ckvvdq8rc0akjlp24nxqbb"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/jhillyerd/enmime"))
+    (propagated-inputs (list go-golang-org-x-text
+                             go-golang-org-x-net
+                             go-github-com-stretchr-testify
+                             go-github-com-ssor-bom
+                             go-github-com-rivo-uniseq
+                             go-github-com-pkg-errors
+                             go-github-com-olekukonko-tablewriter
+                             go-github-com-mattn-go-runewidth
+                             go-github-com-gogs-chardet
+                             go-github-com-jaytaylor-html2text
+                             go-github-com-go-test-deep
+                             go-github-com-cention-sany-utf7))
+    (home-page "https://github.com/jhillyerd/enmime")
+    (synopsis "Encode and decode MIME")
+    (description
+     "Package enmime implements a MIME encoding and decoding library.
+It's built on top of Go's included mime/multipart support where possible,
+but is geared towards parsing MIME encoded emails.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:36 2022
Received: from localhost ([127.0.0.1]:53951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c4-0004sh-6n
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:36 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bx-0004r1-90
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AF0AF43CA8;
 Sat, 11 Jun 2022 21:17:28 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id P6EJLaOpLdrW; Sat, 11 Jun 2022 21:17:27 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975040; bh=wWr3RfGp9/nL8vd4pUZa5ik3iCg9j+ZtpZNl4PFAWq8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=SHgrwWtZlZ0tYR8VHf/SCzoZHLDie9SZiy305nbJbRGdwT4djQKLwahE/hdBg8l/6
 ihIWbEL4LVAHTehIZoBNSL17CRFmI4w5DQit+1QpLXK8adkoG4dKZxqtDhZoM6Om1V
 7p5VA5pz5t05WyHtqk2RV4cnf71bgwh9Ini2XUGN5yVU+qD18bNtfl5QhPUEGkp/mP
 fOenf0q7CnPJbUP22ZL6ZNDcmSfEoW17Zxjc9W0ZrTMXaQ8ZxjG7qJ+L/FrZruzlCl
 NNIpD6ChQvpK3Xhm8H2zKl57tEcyfWQyhgx9NV6IDih/LYL5vM+gnuZgu5OtneMa8L
 yyFqSxc4vLiTg==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 17/41] gnu: Add go-github-com-cention-sany-utf7.
Date: Sat, 11 Jun 2022 20:16:29 +0100
Message-Id: <20220611191653.15471-17-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-cention-sany-utf7): New
  variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7f45618e72..34cf0de952 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10231,3 +10231,27 @@ (define-public go-github-com-go-test-deep
 reflect.DeepEqual but returns a list of differences.  This is helpful
 when comparing complex types like structures and maps.")
     (license license:expat)))
+
+(define-public go-github-com-cention-sany-utf7
+  (package
+    (name "go-github-com-cention-sany-utf7")
+    (version "0.0.0-20170124080048-26cad61bd60a")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/cention-sany/utf7")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1jy15ryfcln1iwchrksqyrnyfy41gisymm4f9sr1d73ja029bznm"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/cention-sany/utf7"))
+    (propagated-inputs (list go-golang-org-x-text))
+    (home-page "https://github.com/cention-sany/utf7")
+    (synopsis "UTF-7 for Go")
+    (description
+     "Package utf7 provides support for the obsolete UTF-7 text encoding
+in Go.")
+    (license license:bsd-3)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:36 2022
Received: from localhost ([127.0.0.1]:53949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c3-0004sY-RQ
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:36 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bw-0004qe-63
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id DA57D43CD0;
 Sat, 11 Jun 2022 21:17:27 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fwfbfSlkgxKQ; Sat, 11 Jun 2022 21:17:26 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975040; bh=qQl0xY8EWaA47rKXyzn0HpJsnMxjYBeQh4b1qt5a/sI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=iNhZFJTdfwqAWN8Itjmstzo3V0XMrhkS5jrl1RNpe53C/R1ojcaE4frrgP2azbPeI
 ouN+5PKpVQ8QTqjTMVjDcq3QM35IuuTGbhD+B/e2UiVgbdTdUwmk5UeYRFHJ+YfVVc
 IBdxkjSQRIU9llQFnFcNqqTi79NhakuY593Itj1cjGccMvz3e4oHuLEfYE+YMKvS/O
 OBV7c8DS52GxzRKmvHNcgjV81OidkThOzKkcL+d7kd6K4UXSKd/PfsoTq7PrP3/Bmf
 gdwkUJfKQ8pXCc0JYxSzq9kcsd3yNsRxwpgQqLvBX3yIJ3G8CHFrZn/3XFHj8Y7IeM
 pAgRU6C16tx/w==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 16/41] gnu: Add go-github-com-go-test-deep.
Date: Sat, 11 Jun 2022 20:16:28 +0100
Message-Id: <20220611191653.15471-16-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-test-deep): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4f6770358f..7f45618e72 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10207,3 +10207,27 @@ (define-public go-github-com-jaytaylor-html2text
      "Package html2text converts HTML emails to textual ones.  Ensure
 your emails are readable by all!")
     (license license:expat)))
+
+(define-public go-github-com-go-test-deep
+  (package
+    (name "go-github-com-go-test-deep")
+    (version "1.0.8")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/go-test/deep")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1mmw2w3by7y24jjpjwmf2gfl08c65jihn3si9m0sswmagmdsk8q0"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/go-test/deep"))
+    (home-page "https://github.com/go-test/deep")
+    (synopsis "Human-friendly deep variable equality in Go")
+    (description
+     "Package deep provides function deep.Equal which is like
+reflect.DeepEqual but returns a list of differences.  This is helpful
+when comparing complex types like structures and maps.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:35 2022
Received: from localhost ([127.0.0.1]:53946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c3-0004sM-BR
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:35 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bv-0004qd-N1
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6421C43CA8;
 Sat, 11 Jun 2022 21:17:27 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id LReiAY9gz8dA; Sat, 11 Jun 2022 21:17:26 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975040; bh=rJlwa7R3lbcpj8gT97aODIXIiLh5bvMuri+mVeVS28Y=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=l52ee/AunUOZkdhlJqSuNZzqhoRCQlEd59YEio5M/HZfiKvOrz3fAOvugEEDheZvr
 /0UouyvfWs3V/LZYY5RoOVKG4LoGxNgdwSXZNX2UajU8YRRjG1ZrfGPGDjHECI+P1I
 PK6Sog6Ceb3ZRIhqWzK0KND3hymsXtRBlKHLla+lYLwU9wANo96kvTN90glZk0MkFe
 FX8r55BgAIMiR+6bfZCn1rUs6xsHDWssCaw5eDAMTdGxT+zjwY0IlTAM9jFjf8QdNv
 5yKEHV1IZEbbQvt0MoJvqH4rDKF5dip0Zzf6aWam0CHOnuXm9Xb5EHqNF0HY6Z/H65
 7yLhKewCyk72A==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 15/41] gnu: Add go-github-com-jaytaylor-html2text.
Date: Sat, 11 Jun 2022 20:16:27 +0100
Message-Id: <20220611191653.15471-15-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-jaytaylor-html2text): New
  variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8caf840ae2..4f6770358f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10179,3 +10179,31 @@ (define-public go-github-com-gogs-chardet
     (description "Package chardet ports character set detection from ICU
 to Go.")
     (license license:expat)))
+
+(define-public go-github-com-jaytaylor-html2text
+  (package
+    (name "go-github-com-jaytaylor-html2text")
+    (version "0.0.0-20211105163654-bc68cce691ba")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/jaytaylor/html2text")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "12ckgkp8xqgp0fh6019nwp4ssg2k1rv1a67cpk37ian4q5zrvppm"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/jaytaylor/html2text"
+           ;; XXX: Seems to make incorrect assertions about the text it produces?
+           #:tests? #f))
+    (propagated-inputs (list go-golang-org-x-net
+                             go-github-com-olekukonko-tablewriter
+                             go-github-com-ssor-bom))
+    (home-page "https://github.com/jaytaylor/html2text")
+    (synopsis "Convert HTML email to text")
+    (description
+     "Package html2text converts HTML emails to textual ones.  Ensure
+your emails are readable by all!")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:35 2022
Received: from localhost ([127.0.0.1]:53944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c2-0004sA-QH
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:35 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bv-0004qe-43
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:27 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id A318D43CD0;
 Sat, 11 Jun 2022 21:17:26 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id D15q1VXzKtX4; Sat, 11 Jun 2022 21:17:25 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975040; bh=GzdQNeV+aLl23seEZqUc0euoXwAZ7/BzVAVj0IxjwrM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=GD60nz4oD2EwdPmOCeKmv+fhGYE4tZLY71m4KeIFGBPH1xvGLUqIUsljQgNLBcmfS
 3O+Yw+WAnqR29DT2P/47WFBz73YtCNZRpiUxqMg1JfJQoQAmdcER7k9wzagQLrYdep
 rZXwKG31wWPMKlijU5fQJYfoZkkWgHRHcLcbgTnTE99z9Aa5twMlQqTXyWiZMzDnEX
 QUNH+Zw4zf7ZHLvnVfb4pCwiiShr0QjLaGE7V8AMpJNj/EH4CUqw8byNdy2zhEjTHr
 VanETbK2nd/IzwYobvuMwrCGEw8BWrmOjC0TQYEwp04HreR39/D/Du8jAHzS09m+9i
 s7I9AWb3oiwGw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 14/41] gnu: Add go-github-com-gogs-chardet.
Date: Sat, 11 Jun 2022 20:16:26 +0100
Message-Id: <20220611191653.15471-14-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-gogs-chardet): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e35f467597..8caf840ae2 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10157,3 +10157,25 @@ (define-public go-github-com-ssor-bom
      "Package bom provides small tools for cleaning BOMs from a byte
 array or reader.")
     (license license:expat)))
+
+(define-public go-github-com-gogs-chardet
+  (package
+    (name "go-github-com-gogs-chardet")
+    (version "0.0.0-20211120154057-b7413eaefb8f")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/gogs/chardet")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "12j8q5wc9m4n51v2j2m40nahqdl9bh3hzpdp26clzq91kc2amiz0"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/gogs/chardet"))
+    (home-page "https://github.com/gogs/chardet")
+    (synopsis "Character set detection for Go")
+    (description "Package chardet ports character set detection from ICU
+to Go.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:34 2022
Received: from localhost ([127.0.0.1]:53940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c2-0004s1-DY
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:34 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bu-0004qd-Mn
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:26 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 26EAB43CC7;
 Sat, 11 Jun 2022 21:17:26 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id K2qTgUUsZBzQ; Sat, 11 Jun 2022 21:17:24 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975039; bh=uM0K2AT16yddyVt1Fju3XB5PQ1aF/I7RuaAiCdVdcoY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Hy5XFi08oSnyzhTpXe/yKT1uqLJrfhZS/fkqfR9W2Dbp5kvf4t4dO5TgZDpa+0P+2
 mMUayJznH+Z0p+qpfOY/W3+T9WOOnAE9Fh3oRrN5rrBrFzitURCFgbK2/0QCXe9A+y
 eSPUCnXgNCnPDT64mVhVvDbXhqkdMUSmC6DvudvcmBf9ckm/rvW7sVHvippK8fE7Gf
 NJ8s9jV/DtJKbAIsveXYBYSHoOEKan40Clf5Uz/+oxKdWUl7UypYGzJ/GaB22uHQBU
 4h5RfFYqBjt5hNcTyjreGYmVKCUR/ot/xWrQymGvutF0/oSy+90Urd0vQrt1fT+/0X
 Xwlf2Yyc08Xtg==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 13/41] gnu: Add go-github-com-ssor-bom.
Date: Sat, 11 Jun 2022 20:16:25 +0100
Message-Id: <20220611191653.15471-13-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-ssor-bom): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8bbef159c4..e35f467597 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10134,3 +10134,26 @@ (define-public go-github-com-rivo-tview
 interfaces.  The widgets provided with this package are useful for data
 exploration and data entry.")
     (license license:expat)))
+
+(define-public go-github-com-ssor-bom
+  (package
+    (name "go-github-com-ssor-bom")
+    (version "0.0.0-20170718123548-6386211fdfcf")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/ssor/bom")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "09g5496ifwqxqclh2iw58plcwcz0sczlnxwqxzwmnl4shdl371ld"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/ssor/bom"))
+    (home-page "https://github.com/ssor/bom")
+    (synopsis "Cleaning BOMs in Go")
+    (description
+     "Package bom provides small tools for cleaning BOMs from a byte
+array or reader.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:34 2022
Received: from localhost ([127.0.0.1]:53938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c1-0004rn-VE
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:34 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bt-0004qR-R0
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:26 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 54D7B43CCD;
 Sat, 11 Jun 2022 21:17:25 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id NGl2egwWXrJ7; Sat, 11 Jun 2022 21:17:24 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975039; bh=/Y1SxGBJCZWBFolIX/poTmq5YCoqISFaiSbsJQGyN5A=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=i+mSK2CdQIIl9zXF6JVymSLQR9v4UBv+PKAO3rGvpS4tSqkaE7dK2t5RdkgklqDqE
 DAFa1z8IVUL1dMSsVbQXM0ej3Fsdgmud/g5E0SJUbgjbtDULgRebJuFuRD38AFrJWQ
 mlifZnoY0K7LZHvcgrRVhrkaw1+c++WFbDEnTfcB6VxYJav7ZKaBjWuG0vS1jMdeZW
 LAzq7QqUW7/ryw4GUYCWyqbPrksdQcVjogEhQrTCcYOt8lkabMP1ksmPa/Kycp3+Xm
 xEH1xAF6kTGLjB3cV0qehxMHqhOnmj6r6HD8REtLPO4YTLO8haE05PvhzuNJwwuunp
 6QUqk6HTJi0gA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 12/41] gnu: Add go-github-com-rivo-tview.
Date: Sat, 11 Jun 2022 20:16:24 +0100
Message-Id: <20220611191653.15471-12-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-rivo-tview): New variable.
---
 gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ce0313f69d..8bbef159c4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10104,3 +10104,33 @@ (define-public go-github-com-rivo-uniseq
 of user-perceived characters, to split strings in their intended places,
 or to extract individual characters which form a unit.")
     (license license:expat)))
+
+(define-public go-github-com-rivo-tview
+  (package
+    (name "go-github-com-rivo-tview")
+    (version "0.0.0-20220307222120-9994674d60a8")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rivo/tview")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0594ishcsd582apbz8jvhz8dg5i7nvyl3k6b6bzprf3z5kmsy9vk"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/rivo/tview"))
+    (propagated-inputs (list go-golang-org-x-term
+                             go-golang-org-x-sys
+                             go-github-com-rivo-uniseq
+                             go-github-com-mattn-go-runewidth
+                             go-github-com-lucasb-eyer-go-colorful
+                             go-github-com-gdamore-tcell-v2))
+    (home-page "https://github.com/rivo/tview")
+    (synopsis "Rich Interactive Widgets for Terminal UIs")
+    (description
+     "Package tview implements rich widgets for terminal based user
+interfaces.  The widgets provided with this package are useful for data
+exploration and data entry.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:33 2022
Received: from localhost ([127.0.0.1]:53935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c1-0004rf-KB
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bt-0004qK-I9
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E46E143CC7;
 Sat, 11 Jun 2022 21:17:24 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id aczkk9M_xrnx; Sat, 11 Jun 2022 21:17:23 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975039; bh=2EbCjwNOsckQsi1+AmIupRPnKen1aBvmHpwJsK4Bo1I=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=FZb8CvhZhfIEPIDqHYspMO+kXSOUR2fNwBBF3XGAD8WSdsBwYa7EGLfLAKuSTh6iC
 tMMghUhB0biMPfcjedZXEogcZ6HgjZt8yYV5hTa2QGPnF4Vc0vcODHgauhc44herUJ
 w6yHJg+CbJqFFlOzKQsAeZhMlLl40XnAOhOVlg6ZbYqmnElIVxQjQceGz2LadbbrtW
 IsXkH7Wb/44XdtZ53JcKJH/5YdffT3fVTjwrERFIqq+Rzu6L54NUdVkq8FqEDuwwNZ
 H2pmYhCiBRZdpzQ6krbCmV4yaxfS7RnxtEk5wWXYRoAn9IYDzPzmYgjme2yWniBRdh
 kmTsRFZE6DQJQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 11/41] gnu: Add go-github-com-rivo-uniseq.
Date: Sat, 11 Jun 2022 20:16:23 +0100
Message-Id: <20220611191653.15471-11-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-rivo-uniseq): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index a8e27ab22b..ce0313f69d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10079,3 +10079,28 @@ (define-public go-github-com-lucasb-eyer-go-colorful
 colors in RGB and provides methods for converting these to various color
 spaces.")
     (license license:expat)))
+
+(define-public go-github-com-rivo-uniseq
+  (package
+    (name "go-github-com-rivo-uniseq")
+    (version "0.2.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rivo/uniseg")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/rivo/uniseq"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description
+     "@code{go-github-com-rivo-uniseq} package provides a tool to iterate
+over these grapheme clusters.  This may be used to determine the number
+of user-perceived characters, to split strings in their intended places,
+or to extract individual characters which form a unit.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:33 2022
Received: from localhost ([127.0.0.1]:53933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06c1-0004rc-B2
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bs-0004pq-GC
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 08E3443CC7;
 Sat, 11 Jun 2022 21:17:24 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id YBzTWgjUH90F; Sat, 11 Jun 2022 21:17:22 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975039; bh=RzI0GC1vIyBDW80s50B7SlP1geqp6DXH0odBslv0qsk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=FTNF9wFTvfYAHnbIMPRKGNEaeMm3mje/g46q78cHY3tova8VREoX/IH64xQ20dumq
 ucVPuf9Yyiz/mNGQj8a0PxVsvyuvB90A9Q4WGgc9ubpdkPlizJrOxajFu6SQ16KdtO
 TPcxv3qMBPcCVbfeQs6caQ/NhRagAB+POxlKimLufNvrQMdM0qjlaZQpsSOyc+jfE8
 XcfqkSh+FGweOE6XUoLNcoC4b6BkgYi/+tVlZkUuBQ0shi3tseUKpTd+C0TtRVUm9K
 TyXd2UgyD6n5chSluYnWBnGYFh4N/QdWYaglkoS3akuohkIDtHQV22SzAzX0RkWwq1
 gb11apNwRYieA==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 10/41] gnu: Add go-github-com-lucasb-eyer-go-colorful.
Date: Sat, 11 Jun 2022 20:16:22 +0100
Message-Id: <20220611191653.15471-10-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-lucasb-eyer-go-colorful): New
  variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e0f5039803..a8e27ab22b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10053,3 +10053,29 @@ (define-public go-github-com-go-ini-ini
     (description
      "Package ini provides INI file read and write functionality in Go.")
     (license license:asl2.0)))
+
+(define-public go-github-com-lucasb-eyer-go-colorful
+  (package
+    (name "go-github-com-lucasb-eyer-go-colorful")
+    (version "1.2.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/lucasb-eyer/go-colorful")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "08c3fkf27r16izjjd4w94xd1z7w1r4mdalbl53ms2ka2j465s3qs"))))
+    (build-system go-build-system)
+    (inputs (list go-golang-org-x-image))
+    (arguments
+     (list #:import-path "github.com/lucasb-eyer/go-colorful"))
+    (home-page "https://github.com/lucasb-eyer/go-colorful")
+    (synopsis "Library for playing with colors in Go")
+    (description
+     "@code{go-github-com-lucasb-eyer-go-colorful} is a library for playing
+with colors in Go.  @code{go-github-com-lucasb-eyer-go-colorful} stores
+colors in RGB and provides methods for converting these to various color
+spaces.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:25 2022
Received: from localhost ([127.0.0.1]:53920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bs-0004qE-Vj
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:25 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06br-0004pO-8V
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 9C9A243CB3;
 Sat, 11 Jun 2022 21:17:22 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id NPcoLKBZHiCg; Sat, 11 Jun 2022 21:17:21 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975039; bh=cO3HWu6CTOS5MW/7i6wPMvwgUTlHIhWIbwTJfQvsBKM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=DTXxs9guD3dTLN/EeK2kMIrqcGbJfGGjjNhNmz+UHRp1Lnqxrav3lugDM/RLBaZMQ
 OKnO7AHZ8pMs8rYVGFAFe/89A1DM5/6TL/mBW+hHImDP2DyVjxmer/6NZcw8Bhmkc0
 3yl7nCPuBeh2SYVM8tEQQcfG0bJwZ5xxA3yiF44oXivrsNJWXNl4IEt3F1aINdpYB/
 +sw3AD0WrtEc/blmrlkH0DM6zwY9RX3RgVwGKMrnBn7meEZinXuRk/Dj1O5mW5jVi9
 n1Ztkp9HtL6xzJ0YSErNFw5ygOU/6hG+a8H9Dq+TzlOu9LBYOmH6zU0kLU30NsYub7
 OzKpzxPe+GX1g==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 09/41] gnu: Add go-github-com-go-ini-ini.
Date: Sat, 11 Jun 2022 20:16:21 +0100
Message-Id: <20220611191653.15471-9-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-ini-ini): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 648ad7956d..e0f5039803 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10030,3 +10030,26 @@ (define-public go-github-com-kyoh86-xdg
      "Package xdg provides lightweight helper functions in golang to get config,
 data and cache directories according to the XDG Base Directory Specification")
     (license license:expat)))
+
+(define-public go-github-com-go-ini-ini
+  (package
+    (name "go-github-com-go-ini-ini")
+    (version "1.66.6")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/go-ini/ini")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0kqg13606hnw8f75cb59fsy1m85kiqf3csi2g7q2512avdmaphc9"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/go-ini/ini"))
+    (propagated-inputs (list go-github-com-stretchr-testify))
+    (home-page "https://github.com/go-ini/ini")
+    (synopsis "INI support for Go")
+    (description
+     "Package ini provides INI file read and write functionality in Go.")
+    (license license:asl2.0)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:25 2022
Received: from localhost ([127.0.0.1]:53917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bs-0004pz-IX
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:24 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06br-0004pM-11
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 611F443CAC;
 Sat, 11 Jun 2022 21:17:22 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id YQjx0rtGjJMO; Sat, 11 Jun 2022 21:17:21 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975038; bh=Tnvf/90U6QmvhjARsoIw2RhwlGCebDtaQgPdWOW4+/M=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=VwW2vWi5gjK5/7cJerVL2ZRljgDf2MnWyhwWuHmr7dkIV0NjfT6e60ZzEUWVERiNd
 GtO7DOKXNsTlFu71Md/Uk0Xb+tbRDkSEhbu7Us+sRCW4ouZQnnECmy7KdFMO4uxoL0
 dA7MlITBpYIbleEpo+bCELAghCipHsKAWno6dpZcASZNkJMXdXjQett4nM56IMgBAS
 MV0jMqnHIqaepZZu4Lwxbbmn1kkA0CvdrAayYl+hJcMCuMEZJE+Oxfvuum8xB777iy
 IY+vdVa9knJeHJgzrmom1OG/lROZLEEgeMGJVSj230jwkJrxim9NN+NIKCQ5caQUGO
 3vd7WPrIVoKRw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 08/41] gnu: Add go-github-com-kyoh86-xdg.
Date: Sat, 11 Jun 2022 20:16:20 +0100
Message-Id: <20220611191653.15471-8-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-kyoh86-xdg): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6a18ba2fd5..648ad7956d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10007,3 +10007,26 @@ (define-public go-github-com-miolini-datacounter
     (description "Package datacounter provides counters for readers and
 writers.")
     (license license:expat)))
+
+(define-public go-github-com-kyoh86-xdg
+  (package
+    (name "go-github-com-kyoh86-xdg")
+    (version "1.2.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/kyoh86/xdg")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0a5nz53fdz1c2qvwlf2dpjdd72nxri95i6q4b07c37kiipgaxncn"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/kyoh86/xdg"))
+    (home-page "https://github.com/kyoh86/xdg")
+    (synopsis "XDG Base Directories for Go")
+    (description
+     "Package xdg provides lightweight helper functions in golang to get config,
+data and cache directories according to the XDG Base Directory Specification")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:24 2022
Received: from localhost ([127.0.0.1]:53915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bs-0004ps-AY
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:24 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bp-0004p4-Su
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 67CEB43CAC;
 Sat, 11 Jun 2022 21:17:21 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ywVszXlOqjPY; Sat, 11 Jun 2022 21:17:20 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975038; bh=Ez9qqoDMq1qBBc/R2fKNbVkn20mEAa6Cqz+tm8yhQrE=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Am2jxVpc4YWTVnrCfxgVblLrD72aOr4KMjWp5HUnOkzf6yyTOmjOUrbBNRpSX3NkY
 9BOuHL0+jtLD/83U9FbLiisov11+boBOSU0XfwQehUqIW3CdNU69RTF2DXRgwL2nmZ
 mHvucwDsC+EppFX2tx7Wz4CEAZ7MZXjEHK0ecYuhTFk0N/z/bigkpQSZnM0vftYjZS
 1QtSipl40gPMN6xPV2Lszpdk0EDWGn+drDhMox2yQUzgNzMKPyGguZ418oWuF1SzlN
 ag30yqgyM27szaYkKeQHjCwHPn9N6qjr+EhROnIGSVMRiEIAlVTuvH5uSsa8auMgZN
 C9Z/XCQRheoMQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 07/41] gnu: Add go-github-com-miolini-datacounter.
Date: Sat, 11 Jun 2022 20:16:19 +0100
Message-Id: <20220611191653.15471-7-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-miolini-datacounter): New
  variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6dbdf065b1..6a18ba2fd5 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9985,3 +9985,25 @@ (define-public go-github-com-riywo-loginshell
      "This package provides a Go library to get the login shell of the
 current user.")
     (license license:expat)))
+
+(define-public go-github-com-miolini-datacounter
+  (package
+    (name "go-github-com-miolini-datacounter")
+    (version "1.0.3")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/miolini/datacounter")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0s1hxqy6666qd524rdp1dr3778davc8gx9brg9lkcjvr5l05s9wa"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/miolini/datacounter"))
+    (home-page "https://github.com/miolini/datacounter")
+    (synopsis "Counters for readers/writers")
+    (description "Package datacounter provides counters for readers and
+writers.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:24 2022
Received: from localhost ([127.0.0.1]:53913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bs-0004pk-2q
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:24 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bp-0004p3-Re
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 37BDC43CBF;
 Sat, 11 Jun 2022 21:17:21 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kH9nw3HOd8nt; Sat, 11 Jun 2022 21:17:19 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975038; bh=DlDgHgVM9VC8MrAp8uJapGnVFp98Uc8hIdVkvhd/3/g=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=QEq/SjWpnOPxljstyYyP3pCa26vYO+NKq1aOO9iwD0vtcS1QK/FacBTlFr9nvSpBU
 DWWqR+ZDGE8eS3j/jSSoF7NzF1T3IIjnlQjAHnaJhgutFY5yWsimoabIoM9ezzJaBR
 EmZWO5BqNme8GoJKZdHmV5keXxssHzxjEXXMP0L2nCF596UFbFMYeXTPpXZg+ZAdKx
 xQEpXKPewXBni55SaIyTV86oizekrHz2Br0MWCbkQ5bZFCV3tR/Xg9v063mnP0Zm38
 tto8+KHLlBzh1JZmnr+yN75uz5b0gCpVHiuzgbmMHUfb92mAKQGmLp0YzywgTWEptE
 a4JNUvaTEF0yw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 06/41] gnu: Add go-github-com-riywo-loginshell.
Date: Sat, 11 Jun 2022 20:16:18 +0100
Message-Id: <20220611191653.15471-6-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-riywo-loginshell): New
  variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b4fc3ed2b9..6dbdf065b1 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9958,3 +9958,30 @@ (define-public go-github-com-xo-terminfo
     (description
      "Package terminfo implements terminfo database reading in pure Go.")
     (license license:expat)))
+
+(define-public go-github-com-riywo-loginshell
+  (package
+    (name "go-github-com-riywo-loginshell")
+    (version "0.0.0-20200815045211-7d26008be1ab")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/riywo/loginshell")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "138yvis6lipw9x02jyiz7472bxi20206bcfikcar54i3xsww9q4i"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path
+           "github.com/riywo/loginshell"
+           ;; Tests try to get the current user's login shell; the build
+           ;; user doesn't have one.
+           #:tests? #f))
+    (home-page "https://github.com/riywo/loginshell")
+    (synopsis "Get the user's login shell in Go")
+    (description
+     "This package provides a Go library to get the login shell of the
+current user.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:24 2022
Received: from localhost ([127.0.0.1]:53911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06br-0004pd-RR
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:24 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bo-0004oh-Ie
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 1AB4943CAB;
 Sat, 11 Jun 2022 21:17:20 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 3rGCXZECNYxQ; Sat, 11 Jun 2022 21:17:18 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975038; bh=sG/M+525xUIEp+V6LqmmxYCNIB2HX9PYcR2Abb5hiBU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=UWkLOJhFbOZwtGdDYH8TytwgQP9NIjX2seAThmnMf6qPsH7vVj4p5fxkYB4404QkD
 T/6hUnRa+3CmAntGCMStkBaxJI5i9cjSZdI6Yb4DELRj2/eRRCxleKWXOsgo3RT+Ky
 yziZR44qUKCEj6A/8L3mRCWU4VqtTvTq3g8TJcUvun70AOkA09SVgKODY+da1a5zvn
 /dPvgy0tAvFh8mp2lwmpkRpK+nuBvt6YxWLc42qhLqSpFB4DC+8TBebJqGq+pJuSV9
 +wYipK3OgcTzAxfBOnHTgDMS6xLS9UEuDTCV/3vONd/EXldstC8+WanvV4xfi6cfuU
 XdKZQs/jPKhOQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 05/41] gnu: Add go-github-com-xo-terminfo.
Date: Sat, 11 Jun 2022 20:16:17 +0100
Message-Id: <20220611191653.15471-5-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-xo-terminfo): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index aaa9f79012..b4fc3ed2b9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9936,3 +9936,25 @@ (define-public go-google-golang-org-appengine
      "Package appengine provides basic functionality for running Go on
 Google App Engine.")
     (license license:asl2.0)))
+
+(define-public go-github-com-xo-terminfo
+  (package
+    (name "go-github-com-xo-terminfo")
+    (version "0.0.0-20210125001918-ca9a967f8778")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/xo/terminfo")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "05gdcvcbwcrcwxznhvs1q1xh4irz2d10v2mz179pydjh30kjc0j5"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/xo/terminfo"))
+    (home-page "https://github.com/xo/terminfo")
+    (synopsis "Read the terminfo database in Go")
+    (description
+     "Package terminfo implements terminfo database reading in pure Go.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:23 2022
Received: from localhost ([127.0.0.1]:53909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06br-0004pZ-Jh
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:23 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bo-0004og-Hx
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E1E2C43C74;
 Sat, 11 Jun 2022 21:17:19 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Oj0iHRhIu7IY; Sat, 11 Jun 2022 21:17:18 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975037; bh=0S6Ib+KWp7++SPWtsePya9uVZQonVyofpzvK7n0Dyec=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ez3izbyjHmoSKCfyb+wJXHo4zqp5I0iHwxFTz4VJQmkX5Q6suyOarf72c8xe/OTvn
 LC/YWKDjj4HMskMIcr8/38KqtrHmDrlZwBAXSfXZaCBKbO5SaOqXIEDn3C+S7rW5lk
 p4crl7IWQdM0UwCFkoPQcSVdYpGzqGE2JN/k65j+ura7tLGD1SgeRwl5MZ6/nl3uiw
 cTZ3VWCTIVZma174LS3sR1qVYFefXPBwhiXq9iTyhAJ9W8+q8E7saUcgMC3O/MiqIW
 oB74bGndsvYz7e0dKz2dv0SYLL2eNJYyv6JgA8ZCny/d+wAluTEX2ZDJq8Lq9UvCGu
 dCWqLoMbR7wpw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 04/41] gnu: Add go-google-golang-org-appengine.
Date: Sat, 11 Jun 2022 20:16:16 +0100
Message-Id: <20220611191653.15471-4-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-google-golang-org-appengine): New
  variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index a39b5e5cd2..aaa9f79012 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9911,3 +9911,28 @@ (define-public go-google-golang-org-protobuf-proto
 is a language-neutral, platform-neutral, extensible mechanism for serializing
 structured data.")
     (license license:bsd-3)))
+
+(define-public go-google-golang-org-appengine
+  (package
+    (name "go-google-golang-org-appengine")
+    (version "1.6.7")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/golang/appengine")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1wkipg7xxc0ha5p6c3bj0vpgq38l18441n5l6zxdhx0gzvz5z1hs"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "google.golang.org/appengine"))
+    (propagated-inputs (list go-golang-org-x-text go-golang-org-x-net
+                             go-github-com-golang-protobuf-proto))
+    (home-page "https://google.golang.org/appengine")
+    (synopsis "Go runtime on Google App Engine")
+    (description
+     "Package appengine provides basic functionality for running Go on
+Google App Engine.")
+    (license license:asl2.0)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:21 2022
Received: from localhost ([127.0.0.1]:53903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bo-0004ol-Qe
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:21 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bn-0004oU-Da
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D6DAB43CA8;
 Sat, 11 Jun 2022 21:17:18 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XXCeRKMn2B11; Sat, 11 Jun 2022 21:17:17 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975037; bh=R1MZH6dQE1xNQLjOQCqsVZGKTZVXB0QVx/JrCuA9HHg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=KNVAbK1QHSGTiHeMPDJvOQS7FoSjCmv0jwozTDdmsqInJLMQvV2fTUJHJOLCBu5U5
 szr3gAd14VCla/MJgbxI4pi90FJ5VuAt3W8rRKByUtrN69+8rpHpWP/g8THTcBYT+D
 248GgVZscqQEnq5RTMcaiZqwEk9erkUYQVWx1+sLsrHy1t/AYsO6r7ilPyYSBf0AxE
 hz2f4fSZC4aHK/KK+SN5B1VfwvCzfL1434CYGyJosgl/qzpV0B7gW0PX+Bxw3vgfLy
 i5zXe3gdgfk74VXB6YZxfLs1KuedVV5oZQjJFkhQLz5R6yHl3535+FkDpdb3JrJqui
 Lv73riC8DJwrw==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 03/41] gnu: Add go-google-golang-org-protobuf-proto.
Date: Sat, 11 Jun 2022 20:16:15 +0100
Message-Id: <20220611191653.15471-3-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-google-golang-org-protobuf-proto): New
  variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7570ce6c6f..a39b5e5cd2 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9883,3 +9883,31 @@ (define-public go-github-com-creack-pty
     (description
      "Package pty provides functions for working with Unix pseudoterminals.")
     (license license:expat)))
+
+(define-public go-google-golang-org-protobuf-proto
+  (package
+    (name "go-google-golang-org-protobuf-proto")
+    (version "1.28.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://go.googlesource.com/protobuf")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1nzcc4qc00afi24nb7nlnwyzvvr6b8s8qdrn1sw085nygh2y2x8r"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "google.golang.org/protobuf/proto"
+           #:unpack-path "google.golang.org/protobuf"))
+    (propagated-inputs (list go-github-com-google-go-cmp-cmp
+                             go-github-com-golang-protobuf-proto))
+    (home-page "https://google.golang.org/protobuf")
+    (synopsis "Go support for Protocol Buffers")
+    (description
+     "This project hosts the Go implementation for
+@url{https://developers.google.com/protocol-buffers,protocol buffers}, which
+is a language-neutral, platform-neutral, extensible mechanism for serializing
+structured data.")
+    (license license:bsd-3)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:20 2022
Received: from localhost ([127.0.0.1]:53899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bo-0004oj-JZ
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:20 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bn-0004oT-9X
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id A383943CB4;
 Sat, 11 Jun 2022 21:17:18 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id jEUnP5DjCo4n; Sat, 11 Jun 2022 21:17:17 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975037; bh=7Xgx4vgUkzNeZhebus4SB2qcY5+aqoADYgUV9A7Zu+M=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ZBt80K9zDgrjNijWB2gDGt5w3hy8detI/oshNhMDPzbvL7SOrMYiVQgkiY9VLIXu5
 O0zf/F3/0JBJezik/shbKOjxc3rQMpRnk9fXchpoTmyxkeJlSpHLVMwed9hooAg0l/
 btHqIL1yFiOdccSS853udq75ZQ+J3ZEKXOpYKz5mwPXoHxka3uMIUY8s33CgRIZzcX
 WiiY12ggMsDHUQXXVl7x1TuD9B6no5rZRMob0bYdLx68q3xwMaoNUMCbYp0CZGGL0b
 D8MvRvbEiF7lfR5kHKKuhp9QrJ5Fe9sc3XkQULoJVeu+REtfqOwk+uNEfFo2iFaNE+
 0T1puq4kqLilQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 02/41] gnu: Add go-github-com-creack-pty.
Date: Sat, 11 Jun 2022 20:16:14 +0100
Message-Id: <20220611191653.15471-2-paren@HIDDEN>
In-Reply-To: <20220611191653.15471-1-paren@HIDDEN>
References: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-creack-pty): New variable.

Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 01afa786ba..7570ce6c6f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9861,3 +9861,25 @@ (define-public go-github-com-zenhack-go-notmuch
     (description "Package notmuch provides a Go language binding to the notmuch
 email library.")
     (license license:gpl3+)))
+
+(define-public go-github-com-creack-pty
+  (package
+    (name "go-github-com-creack-pty")
+    (version "1.1.18")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/creack/pty")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1qqhcgfym0napz8damj7dhfw28g2qn2f5h3lr93i0sxawq926yzc"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/creack/pty"))
+    (home-page "https://github.com/creack/pty")
+    (synopsis "Pseudoterminal handling in Go")
+    (description
+     "Package pty provides functions for working with Unix pseudoterminals.")
+    (license license:expat)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at 55903 <at> debbugs.gnu.org:


Received: (at 55903) by debbugs.gnu.org; 11 Jun 2022 19:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 15:17:07 2022
Received: from localhost ([127.0.0.1]:53895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o06bb-0004oB-9f
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:07 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o06bY-0004nw-AZ
 for 55903 <at> debbugs.gnu.org; Sat, 11 Jun 2022 15:17:05 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7BFD643CA8;
 Sat, 11 Jun 2022 21:17:02 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id NcfXuoS8Abu7; Sat, 11 Jun 2022 21:17:01 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654975021; bh=GAbxJBRWvqUvvmtIWXI1kFt87mbDdVrJwLQf/rA6IGo=;
 h=From:To:Cc:Subject:Date;
 b=gTADZYlK62dAKXwyW+EGdRajPu4bBX5sMAP2mgK4W/CYR/XGXvoalYARNPxHxdV3U
 0zNmXe0QqPG1CxlYm+P8c63YS7YetEWTK0F5LZgYpnGaPbtLiVLoreWoluiKEhzOXJ
 4LTx6nX9yqHZ0WGlHRBZhxEFn2U4psyEd5fKxZNzexELdUzQonTsROYksLS6uI1vU3
 z/bnvzwk8Dhb/L9yaBif4NB+yG0fwmYJ5FudGBhVoxp+wzANaIIPzlYSv6rQMcGK80
 WQHr5EOcmwzI7Q8DGFH9W6SPL7Tatnznoc4UXMMqUUDJqSUqbQKhKWsjjMIHd5m2wE
 q/gSuu724UsDQ==
To: 55903 <at> debbugs.gnu.org
Subject: [PATCH 01/41] gnu: Add go-github-com-zenhack-go-notmuch.
Date: Sat, 11 Jun 2022 20:16:13 +0100
Message-Id: <20220611191653.15471-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55903
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-zenhack-go-notmuch): New
  variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 61c29be116..01afa786ba 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -34,6 +34,7 @@
 ;;; Copyright © 2021 Philip McGrath <philip@HIDDEN>
 ;;; Copyright © 2021 Lu Hui <luhux76@HIDDEN>
 ;;; Copyright © 2022 Pier-Hugues Pellerin <phpellerin@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -69,6 +70,7 @@ (define-module (gnu packages golang)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnupg)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages mail)
   #:use-module (gnu packages mp3)
   #:use-module (gnu packages password-utils)
   #:use-module (gnu packages pcre)
@@ -9834,3 +9836,28 @@ (define-public go-github-com-google-go-jsonnet
 production-ready implementation, compatible with the original Jsonnet C++
 implementation.")
     (license license:asl2.0)))
+
+(define-public go-github-com-zenhack-go-notmuch
+  (package
+    (name "go-github-com-zenhack-go-notmuch")
+    (version "0.0.0-20211022191430-4d57e8ad2a8b")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/zenhack/go.notmuch")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1j2s5smjf7pp7i72dw12sm9iz961y3cy8nkm7hmrg53f6wna57h9"))))
+    (build-system go-build-system)
+    (arguments
+     (list #:import-path "github.com/zenhack/go.notmuch"
+           ;; XXX: Seems like the tests try to access fixtures that don't exist?
+           #:tests? #f))
+    (propagated-inputs (list notmuch))
+    (home-page "https://github.com/zenhack/go.notmuch")
+    (synopsis "Go bindings to libnotmuch")
+    (description "Package notmuch provides a Go language binding to the notmuch
+email library.")
+    (license license:gpl3+)))
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jun 2022 09:06:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 05:06:04 2022
Received: from localhost ([127.0.0.1]:51851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzx4F-0005BD-ML
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 05:06:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:52856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nzx4D-0005As-FW
 for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 05:06:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34960)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1nzx4D-0004HT-9N
 for guix-patches@HIDDEN; Sat, 11 Jun 2022 05:06:01 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53112)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1nzx4A-0002yo-SI
 for guix-patches@HIDDEN; Sat, 11 Jun 2022 05:06:01 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 134EE43C01
 for <guix-patches@HIDDEN>; Sat, 11 Jun 2022 11:05:55 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yQ9bBC35Mndz for <guix-patches@HIDDEN>;
 Sat, 11 Jun 2022 11:05:53 +0200 (CEST)
Content-Type: text/plain; charset=UTF-8
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1654938353; bh=VuChftRVf0sJ7ArC4O1X4zhtEi6GYUHEW2QSkHwirOo=;
 h=To:Subject:From:Date;
 b=fshDeiEbgzhwR0TKRINlJzk6luURGwAuPQN4hTpo7227v1PhOp3hXEvmGypT9ZIbJ
 pi0XGrK3y7+CRwEbxoQyiYQuxkWL23djBO00A3zLBincyPm2m6SQpJA36PuIfLaL/U
 BuH9jRfg8v978G4rjtojWxuwjtPS8hkaYur29lvyLUpZSYxSgvtTH38yDprnKzPDJX
 /OBVGoun9CxlYXqV5NhcuPwwT3PpDaDNNP7PT31+KMm5EmfmFSIWfxhe1YR7BNPioD
 nAbugLMzISlc1t1lv4edgB6ei/5CVvLTmsdo/ExXrwKHseB6tw8qNek7DRn3/1SOyN
 jLyPXwh6Is0fA==
To: <guix-patches@HIDDEN>
Subject: [PATCHSET] Adding aerc
From: "(" <paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Date: Sat, 04 Jun 2022 13:07:26 +0100
Message-Id: <CKHC5V250Z0C.2JLX1A9LT63JN@guix-aspire>
Received-SPF: pass client-ip=178.21.23.139; envelope-from=paren@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: 13
X-Spam_score: 1.3
X-Spam_bar: +
X-Spam_report: (1.3 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_96_XX=3.405,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

I have just finished adding the aerc <https://aerc-mail.org> email client t=
o Guix 'R Us in
these commits: <https://git.sr.ht/~whereiseveryone/guixrus/commit/4f4926e61=
3f6ce2c127f0ee31b351a418508321b>,
<https://git.sr.ht/~whereiseveryone/guixrus/commit/f2317804ba38151efb355d2c=
cf86d5e93bc83873> and
<https://git.sr.ht/~whereiseveryone/guixrus/commit/9aff12f3e62a68b46a5fd4db=
677f58992710ee23>.

Having used guixrus as a testbed, I now want to upstream the package and it=
s dependencies to
Guix proper. I believe this was a commonly-requested package, so it will be=
 nice to finally get
it done :)

The following is the dependency graph for aerc, after removing duplicate de=
pendencies and those
already packaged in Guix:

aerc
  \ go-github-com-zenhack-go-notmuch
  | go-github-com-creack-pty
  | go-google-golang-org-protobuf-proto
  | go-google-golang-org-appengine
  | go-github-com-xo-terminfo
  | go-github-com-riywo-loginshell
  | go-github-com-miolini-datacounter
  | go-github-com-kyoh86-xdg
  | go-github-com-go-ini-ini
  | go-github-com-gatherstars-com-jwz
  | \ go-github-com-rivo-tview
  | | \ go-github-com-rivo-uniseq
  | | | go-github-com-lucasb-eyer-go-colorful
  | | go-github-com-jhillyerd-enmime
  |   \ go-github-com-ssor-bom
  |   | go-github-com-gogs-chardet
  |   | go-github-com-jaytaylor-html2text
  |   | go-github-com-go-test-deep
  |   | go-github-com-cention-sany-utf7
  | go-github-com-emersion-go-imap-sortthread
  | \ go-github-com-emersion-go-imap
  |   \ go-github-com-emersion-go-sasl
  |   | go-github-com-emersion-go-message
  |     \ go-github-com-emersion-go-textwrapper
  | go-github-com-emersion-go-pgpmail
  | \ go-github-com-protonmail-go-crypto-bitcurves
  | | go-github-com-protonmail-go-crypto-brainpool
  | | go-github-com-protonmail-go-crypto-eax
  | | go-github-com-protonmail-go-crypto-internal-byteutil
  | | go-github-com-protonmail-go-crypto-ocb
  | | go-github-com-protonmail-go-crypto-openpgp
  | go-github-com-emersion-go-smtp
  | go-github-com-arran4-golang-ical
  | \ go-github-com-niemeyer-pretty
  | go-git-sr-ht--sircmpwn-getopt

which means that I should send them in the following order (so that each co=
mmit is atomic):

go-github-com-zenhack-go-notmuch
go-github-com-creack-pty
go-google-golang-org-protobuf-proto
go-google-golang-org-appengine
go-github-com-xo-terminfo
go-github-com-riywo-loginshell
go-github-com-miolini-datacounter
go-github-com-kyoh86-xdg
go-github-com-go-ini-ini
go-github-com-lucasb-eyer-go-colorful
go-github-com-rivo-uniseq
go-github-com-rivo-tview
go-github-com-ssor-bom
go-github-com-gogs-chatdet
go-github-com-jaytaylor-html2text
go-github-com-go-test-deep
go-github-com-cention-sany-utf7
go-github-com-jhillyerd-enmime
go-github-com-gatherstars-com-jwz
go-github-com-emersion-go-textwrapper
go-github-com-emersion-go-message
go-github-com-emersion-go-sasl
go-github-com-emersion-go-imap
go-github-com-emersion-go-imap-sortthread
go-github-com-protonmail-go-crypto-bitcurves
go-github-com-protonmail-go-crypto-brainpool
go-github-com-protonmail-go-crypto-eax
go-github-com-protonmail-go-crypto-internal-byteutil
go-github-com-protonmail-go-crypto-ocb
go-github-com-protonmail-go-crypto-openpgp
go-github-com-emersion-go-pgpmail
go-github-com-emersion-go-smtp
go-github-com-niemeyer-pretty
go-github-com-arran4-golang-ical
go-git-sr-ht--sircmpwn-getopt
aerc




Acknowledgement sent to "(" <paren@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55903; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 12 Jun 2022 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.